ALTER PROCEDURE [dbo].[spEWBFilterEintragen] 
    @FID nvarchar(14),
	@SPID int 
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO tabEWBKNEFilter ( KNEID, INR, BDATE, Filter, SPID ) 
(SELECT TMP.KNEID, TMP.INR as INR, TMP.Bdate as BDate, @FID AS Filter, @SPID 
FROM _tmpKNE AS TMP 
WHERE TMP.SPID = @SPID 
GROUP BY tmp.inr, tmp.bdate, tmp.spid, TMP.KNEID);
END
GO

/****** Object:  StoredProcedure [dbo].[spEineKNEID_an_tmpKNE]    Script Date: 13.07.2018 16:54:50 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[spTMPKNEanZwischenlagerung] 
	@SPID int 
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _tmpKNEZwischenlagerung
                         (SPID, KNEID)
SELECT        SPID, KNEID
FROM            _tmpKNE
where SPID = @SPID
END
GO


CREATE PROCEDURE [dbo].[spZwischenlagerunganTMPKNE] 
	@SPID int 
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _tmpKNE
                         (SPID, KNEID)
SELECT        SPID, KNEID
FROM            _tmpKNEZwischenlagerung
where SPID = @SPID
END
GO

alter table _tmpKNEzwischenlagerung add INR nvarchar(3) null;
GO


alter table _tmpKNEzwischenlagerung add BDate Datetime null;
GO


ALTER PROCEDURE [dbo].[spTMPKNEanZwischenlagerung] 
	@SPID int 
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _tmpKNEZwischenlagerung
                         (SPID, KNEID, INR, BDate)
SELECT        SPID, KNEID, INR, BDate
FROM            _tmpKNE
where SPID = @SPID
END
GO


ALTER PROCEDURE [dbo].[spZwischenlagerunganTMPKNE] 
	@SPID int 
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _tmpKNE
                         (SPID, KNEID, INR, BDate)
SELECT        SPID, KNEID, INR, BDate
FROM            _tmpKNEZwischenlagerung
where SPID = @SPID
END
GO

/****** Object:  StoredProcedure [dbo].[spEndkontrolleEWBDruck]    Script Date: 16.07.2018 11:25:55 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Detering-Hauger>
-- Create date: <20.10.2008>
-- =============================================
ALTER PROCEDURE [dbo].[spEndkontrolleEWBDruck] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here

SELECT KNE.Bdate, dbo.getAuswahlstatus(kne.kneid, @SPID) as Auswahl, KNE.KNE, KNE.KNE_Name, tabKNEFilter.EDATE, 
       KNE.kne_berater, F.Filtername, KNE.kne_gesamtkreditvolumen, KNE.kne_Inanspruchnahme
FROM tabKreditnehmereinheit AS KNE INNER JOIN 
     _tmpAuswahlEWB as T ON KNE.kneid = T.kneid inner join 
    (tabKNEFilter INNER JOIN tabFilter AS F ON tabKNEFilter.Filter = F.FID) 
     ON KNE.KNEID = tabKNEFilter.KNEID
WHERE t.BDate = @BDate and t.INR = @instnr and t.SPID = @SPID
ORDER BY KNE.KNE;


END
GO

ALTER FUNCTION [dbo].[getAuswahlstatusEWBStichprobe]
(
	-- Add the parameters for the function here
	@KNEID nvarchar(24),
	@SPID int
)
RETURNS bit 
AS
BEGIN
return (Select case when (Select Count(KNEID) from _tmpStichprobe where KNEID = @KNEID and SPID = @SPID and Auswahl = 1) = 0 then 0 else 1 end as Auswahl )
END
GO

ALTER FUNCTION [dbo].[getAuswahlstatusEWB]
(
	-- Add the parameters for the function here
	@KNEID nvarchar(24),
	@SPID int
)
RETURNS bit 
AS
BEGIN
return (Select case when (Select Count(KNEID) from _tmpAuswahlEWB where KNEID = @KNEID and SPID = @SPID AND Auswahl = 1) = 0 then 0 else 1 end as Auswahl )
END
GO

ALTER PROCEDURE [dbo].[spEWBFiltertreffer] 
    @FID nvarchar(14) ,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _tmpFilterTreffer 
           (SPID, Auswahl, KNEID, KNE_Name, kne_wv_verbnr, kne_berater, kne_gesamtkreditvolumen, 
           kne_gesamtkreditvolumen_not, kne_meta_anteil_inanspruchnahme, kne_bewilligungsvolumen_neu, 
           kne_Inanspruchnahme, kne_blankokreditvolumen_in, kne_blankokreditvolumen_wi, 
           kne_Personalkreditvolumen_in, kne_Personalkreditvolumen_wi, kne_Realkreditvolumen_in, 
           kne_Realkreditvolumen_wi, kne_Kommunalkreditvolumen_in, kne_Kommunalkreditvolumen_wi, 
           kne_Kreditueberschreitung, kne_Darlehensrueckstand, kne_externe_kredite, kne_interne_Kredite, 
           kne_Ueberziehungsgenehmigungen, kne_ewb_Veraenderung, Bdate, Herkunft, INR, BLZ, Filter, Filterzahl )
SELECT     @SPID, dbo.getAuswahlstatusEWB(kne.kneid, @SPID) as Auswahl, KNE.KNEID, KNE.KNE_Name, KNE.kne_wv_verbnr, KNE.kne_berater, KNE.kne_gesamtkreditvolumen, 
           KNE.kne_gesamtkreditvolumen_not, KNE.kne_meta_anteil_inanspruchnahme, KNE.kne_bewilligungsvolumen_neu, 
           KNE.kne_Inanspruchnahme, KNE.kne_blankokreditvolumen_in, KNE.kne_blankokreditvolumen_wi, 
           KNE.kne_Personalkreditvolumen_in, KNE.kne_Personalkreditvolumen_wi, KNE.kne_Realkreditvolumen_in, 
           KNE.kne_Realkreditvolumen_wi, KNE.kne_Kommunalkreditvolumen_in, KNE.kne_Kommunalkreditvolumen_wi, 
           KNE.kne_Kreditueberschreitung, KNE.kne_Darlehensrueckstand, KNE.kne_externe_kredite, 
           KNE.kne_interne_Kredite, KNE.kne_Ueberziehungsgenehmigungen, KNE.kne_ewb_Veraenderung, 
           KNE.Bdate, KNE.Herkunft, KNE.INR, KNE.BLZ, tabEWBKNEFilter.Filter, dbo.getAnzahlAktiveEWBFilter(KNE.KNEID)    
FROM (tabkreditnehmereinheit AS KNE INNER JOIN tabEWBKNEFilter ON KNE.KNEID = tabEWBKNEFilter.KNEID) 
GROUP BY dbo.getAuswahlstatusEWB(kne.kneid, @SPID), KNE.KNEID, KNE.KNE_Name, KNE.kne_wv_verbnr, KNE.kne_berater, KNE.kne_gesamtkreditvolumen, 
         KNE.kne_gesamtkreditvolumen_not, KNE.kne_meta_anteil_inanspruchnahme, KNE.kne_bewilligungsvolumen_neu, 
         KNE.kne_Inanspruchnahme, KNE.kne_blankokreditvolumen_in, KNE.kne_blankokreditvolumen_wi, 
         KNE.kne_Personalkreditvolumen_in, KNE.kne_Personalkreditvolumen_wi, KNE.kne_Realkreditvolumen_in, 
         KNE.kne_Realkreditvolumen_wi, KNE.kne_Kommunalkreditvolumen_in, KNE.kne_Kommunalkreditvolumen_wi, 
         KNE.kne_Kreditueberschreitung, KNE.kne_Darlehensrueckstand, KNE.kne_externe_kredite, 
         KNE.kne_interne_Kredite, KNE.kne_Ueberziehungsgenehmigungen, KNE.kne_ewb_Veraenderung, KNE.Bdate, 
         KNE.Herkunft, KNE.INR, KNE.BLZ, tabEWBKNEFilter.Filter  
HAVING  tabEWBKNEFilter.Filter = @FID 
;
END
GO

ALTER PROCEDURE [dbo].[spEndkontrolleEWBDruck] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here

SELECT KNE.Bdate, dbo.getAuswahlstatus(kne.kneid, @SPID) as Auswahl, KNE.KNE, KNE.KNE_Name, tabKNEFilter.EDATE, 
       KNE.kne_berater, F.Filtername, KNE.kne_gesamtkreditvolumen, KNE.kne_Inanspruchnahme, KNE.Herkunft, kne.kne_blankokreditvolumen_in 
FROM tabKreditnehmereinheit AS KNE INNER JOIN 
     _tmpAuswahlEWB as T ON KNE.kneid = T.kneid inner join 
    (tabKNEFilter INNER JOIN tabFilter AS F ON tabKNEFilter.Filter = F.FID) 
     ON KNE.KNEID = tabKNEFilter.KNEID
WHERE t.BDate = @BDate and t.INR = @instnr and t.SPID = @SPID
ORDER BY KNE.KNE;


END
GO

ALTER PROCEDURE [dbo].[spEndkontrolleEWBExport] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT  dbo.getAuswahlstatusEWB(kne.kneid, @SPID) as Auswahl, KNE.Herkunft, KNE.Bdate, KNE.KNE, KNE.KNE_Name, KNE.kne_berater, KNE.kne_gesamtkreditvolumen, 
       KNE.kne_gesamtkreditvolumen_not, KNE.kne_meta_anteil_inanspruchnahme, 
       KNE.kne_bewilligungsvolumen_neu, KNE.kne_Inanspruchnahme, KNE.kne_blankokreditvolumen_in,
       KNE.kne_blankokreditvolumen_wi, KNE.kne_Personalkreditvolumen_in, KNE.kne_Personalkreditvolumen_wi,
       KNE.kne_Realkreditvolumen_in, KNE.kne_Realkreditvolumen_wi, KNE.kne_Kommunalkreditvolumen_in, 
       KNE.kne_Kommunalkreditvolumen_wi, KNE.kne_Kreditueberschreitung, KNE.kne_Darlehensrueckstand,
       KNE.kne_externe_kredite
FROM tabKreditnehmereinheit AS KNE INNER JOIN 
     _tmpAuswahlEWB as T ON KNE.kneid = T.kneid inner join 
    (tabKNEFilter INNER JOIN tabFilter AS F ON tabKNEFilter.Filter = F.FID) 
     ON KNE.KNEID = tabKNEFilter.KNEID
WHERE t.BDate = @BDate and t.INR = @instnr and t.SPID = @SPID 
ORDER BY  dbo.getAuswahlstatusEWB(kne.kneid, @SPID) , KNE.kne_gesamtkreditvolumen DESC;
END
GO

ALTER PROCEDURE [dbo].[spEndkontrolleEWBDruck] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here

SELECT KNE.Bdate, dbo.getAuswahlstatusEWB(kne.kneid, @SPID) as Auswahl, KNE.KNE, KNE.KNE_Name, tabKNEFilter.EDATE, 
       KNE.kne_berater, F.Filtername, KNE.kne_gesamtkreditvolumen, KNE.kne_Inanspruchnahme, KNE.Herkunft, kne.kne_blankokreditvolumen_in 
FROM tabKreditnehmereinheit AS KNE INNER JOIN 
     _tmpAuswahlEWB as T ON KNE.kneid = T.kneid inner join 
    (tabKNEFilter INNER JOIN tabFilter AS F ON tabKNEFilter.Filter = F.FID) 
     ON KNE.KNEID = tabKNEFilter.KNEID
WHERE t.BDate = @BDate and t.INR = @instnr and t.SPID = @SPID
ORDER BY KNE.KNE;


END
GO










Update _tabVersion set DBVersion = '7.74', DBDate = '16.07.2018'
GO
