ALTER PROCEDURE [dbo].[spEWBFilterGruppiert] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int 
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT        F.FID, F.Filtername + CASE WHEN Aktiv = 1 THEN '- Aktiv' ELSE '- nur Doku' END AS Anzeige, F.Aktiv, F.Filtername
FROM            tabEWBKNEFilter AS KF INNER JOIN
                         tabFilter AS F ON KF.Filter = F.FID AND KF.SPID = F.SPID
WHERE F.EWBFilter=1 AND KF.INR = @InstNr AND KF.BDate = @BDate AND KF.SPID = @SPID
GROuP BY F.FID, Filtername, F.Aktiv 
ORDER BY FID
END
GO

ALTER FUNCTION [dbo].[getAnzahlAktiveEWBFilter]
(
	-- Add the parameters for the function here
	@KNEID nvarchar(24),
	@SPID int 
)
RETURNS int 
AS
BEGIN
return 
(SELECT        COUNT(tabEWBKNEFilter.INR) AS AnzahlKNEFID
FROM            tabEWBKNEFilter INNER JOIN
                         tabFilter ON tabEWBKNEFilter.Filter = tabFilter.FID AND tabEWBKNEFilter.SPID = tabFilter.SPID
WHERE        (tabFilter.Aktiv = 1) AND (tabFilter.EWBFilter = 1) AND (tabEWBKNEFilter.KNEID = @KNEID) AND (tabEWBKNEFilter.SPID = @SPID)
GROUP BY tabEWBKNEFilter.KNEID)
END
GO


ALTER PROCEDURE [dbo].[spEWBFiltertreffer] 
    @FID nvarchar(14) ,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _tmpFilterTreffer 
           (SPID, Auswahl, KNEID, KNE_Name, kne_wv_verbnr, kne_berater, kne_gesamtkreditvolumen, 
           kne_gesamtkreditvolumen_not, kne_meta_anteil_inanspruchnahme, kne_bewilligungsvolumen_neu, 
           kne_Inanspruchnahme, kne_blankokreditvolumen_in, kne_blankokreditvolumen_wi, 
           kne_Personalkreditvolumen_in, kne_Personalkreditvolumen_wi, kne_Realkreditvolumen_in, 
           kne_Realkreditvolumen_wi, kne_Kommunalkreditvolumen_in, kne_Kommunalkreditvolumen_wi, 
           kne_Kreditueberschreitung, kne_Darlehensrueckstand, kne_externe_kredite, kne_interne_Kredite, 
           kne_Ueberziehungsgenehmigungen, kne_ewb_Veraenderung, Bdate, Herkunft, INR, BLZ, Filter, Filterzahl )
SELECT     @SPID, dbo.getAuswahlstatusEWB(kne.kneid, @SPID) as Auswahl, KNE.KNEID, KNE.KNE_Name, KNE.kne_wv_verbnr, KNE.kne_berater, KNE.kne_gesamtkreditvolumen, 
           KNE.kne_gesamtkreditvolumen_not, KNE.kne_meta_anteil_inanspruchnahme, KNE.kne_bewilligungsvolumen_neu, 
           KNE.kne_Inanspruchnahme, KNE.kne_blankokreditvolumen_in, KNE.kne_blankokreditvolumen_wi, 
           KNE.kne_Personalkreditvolumen_in, KNE.kne_Personalkreditvolumen_wi, KNE.kne_Realkreditvolumen_in, 
           KNE.kne_Realkreditvolumen_wi, KNE.kne_Kommunalkreditvolumen_in, KNE.kne_Kommunalkreditvolumen_wi, 
           KNE.kne_Kreditueberschreitung, KNE.kne_Darlehensrueckstand, KNE.kne_externe_kredite, 
           KNE.kne_interne_Kredite, KNE.kne_Ueberziehungsgenehmigungen, KNE.kne_ewb_Veraenderung, 
           KNE.Bdate, KNE.Herkunft, KNE.INR, KNE.BLZ, tabEWBKNEFilter.Filter, dbo.getAnzahlAktiveEWBFilter(KNE.KNEID, @SPID)    
FROM (tabkreditnehmereinheit AS KNE INNER JOIN tabEWBKNEFilter ON KNE.KNEID = tabEWBKNEFilter.KNEID) 
GROUP BY tabEWBKNEFilter.spid, dbo.getAuswahlstatusEWB(kne.kneid, @SPID), KNE.KNEID, KNE.KNE_Name, KNE.kne_wv_verbnr, KNE.kne_berater, KNE.kne_gesamtkreditvolumen, 
         KNE.kne_gesamtkreditvolumen_not, KNE.kne_meta_anteil_inanspruchnahme, KNE.kne_bewilligungsvolumen_neu, 
         KNE.kne_Inanspruchnahme, KNE.kne_blankokreditvolumen_in, KNE.kne_blankokreditvolumen_wi, 
         KNE.kne_Personalkreditvolumen_in, KNE.kne_Personalkreditvolumen_wi, KNE.kne_Realkreditvolumen_in, 
         KNE.kne_Realkreditvolumen_wi, KNE.kne_Kommunalkreditvolumen_in, KNE.kne_Kommunalkreditvolumen_wi, 
         KNE.kne_Kreditueberschreitung, KNE.kne_Darlehensrueckstand, KNE.kne_externe_kredite, 
         KNE.kne_interne_Kredite, KNE.kne_Ueberziehungsgenehmigungen, KNE.kne_ewb_Veraenderung, KNE.Bdate, 
         KNE.Herkunft, KNE.INR, KNE.BLZ, tabEWBKNEFilter.Filter  
HAVING  tabEWBKNEFilter.Filter = @FID and tabEWBKNEFilter.spid = @SPID
;
END
GO

ALTER FUNCTION [dbo].[getAuswahlstatusEWBStichprobe]
(
	-- Add the parameters for the function here
	@KNEID nvarchar(24),
	@SPID int
)
RETURNS bit 
AS
BEGIN
return (Select case when (Select Count(KNEID) from _tmpAuswahlEWB where KNEID = @KNEID and SPID = @SPID and Auswahl = 1) = 0 then 0 else 1 end as Auswahl )
END
GO


ALTER FUNCTION [dbo].[SammelExportXLS_Basis] 
(
    @INSTNR nvarchar(3),
    @BDate datetime,
	@SPID int 
)
RETURNS TABLE
AS
RETURN
(	
SELECT KNE.INR, KNE.BLZ, KNE.Bdate AS Bestandsdatum, KNE.KNE, KNE.kne_identnr, KNE.kne_wv, 
KNE.kne_externe_kredite, KNE.kne_interne_kredite, kne_Bonitaet, kne_Ueberziehungsgenehmigungen, 
KNE.kne_wv_verbnr, KNE.kne_berater, KNE.kne_beruf_branche, KNE.kne_gesamtkreditvolumen, KNE.kne_Inanspruchnahme, 
Kne_Guthaben, kne_Realkreditvolumen_in, kne_Personalkreditvolumen_in, kne_PKV_SPG_in,   
kne_Kreditueberschreitung, KNE.KNE_Name, KNE.kne_Darlehensrueckstand, KNE.kne_Risikoklasse, 
kne_blankokreditvolumen_in, kne_Kommunalkreditvolumen_in, kne_Kompensationskreditvolumen_in, kne_freier_anteil_in, 
kne_wirt_anteil_in, kne_Realkreditvolumen_wi, kne_Personalkreditvolumen_wi, kne_blankokreditvolumen_wi, 
kne_Kommunalkreditvolumen_wi, kne_Kompensationskreditvolumen_wi, kne_freier_anteil_wi, kne_wirt_anteil_wi, 
kne_ewb_e_btrg_janf, kne_ewb_e_btrg_neu, kne_ewb_e_btrg_zugang, kne_ewb_e_afls_btrg, kne_ewb_e_absg_ind_btrg,
kne_ewb_e, kne_ewb_e_absg_dir_btrg, kne_ewb_v_btrg_janf, kne_ewb_v_btrg_neu, kne_ewb_v_btrg_zugang, kne_ewb_v_afls_btrg,
kne_ewb_v_absg_ind_btrg, kne_ewb_v, kne_ewb_v_absg_dir_btrg, kne_ewb_Veraenderung, 
KNE.kne_kreditvolumen_az01, KNE.KNE_Kreditvolumen_az2, KNE.kne_kreditvolumen_az5, 
KNE.kne_kreditvolumen_az6, KNE.kne_kreditvolumen_az7, KNE.kne_kreditvolumen_derivate, 
KNE.kne_kreditvolumen_wertpapiere, KNE.kne_kreditvolumen_fw_kredite, KNE.kne_kreditvolumen_geldhandel, 
KNE.kne_kreditvolumen_wp_leihe, KNE.kne_kreditvolumen_akkreditive, KNE.kne_kreditvolumen_beteiligung, 
KNE.kne_kreditvolumen_so_az9, KNE.kne_kreditvolumen_kommunal, KNE.kne_kreditvolumen_kreditkarten, 
KNE.kne_gesamtkreditvolumen_not, KNE.kne_meta_anteil_kreditvolumen, KNE.kne_meta_anteil_inanspruchnahme, 
KNE.kne_bewilligungsvolumen_neu, KN.KN, KN.KN_Identnr, KN.kn_name, KN.kn_berater, KN.kn_wv, KN.kn_wv_verbnr, 
KN.kn_beruf_branche, KN.kn_wirtschaftszweig, KN.kn_beruf, KN.kn_strasse, KN.kn_haus_nr, KN.kn_post_erg, 
KN.kn_postleit, KN.kn_ort, KN.kn_land, KN.kn_ortskenn, KN.kn_g_verb_s, V.GBR_Quote AS kn_gbr_quote, 
KN.kn_kundentyp, KN.kn_o_rechts, KN.kn_pers_art, KN.kn_pers_unterart, KN.kn_rechtl_s, KN.kn_kz_organ, 
KN.kn_kusydsgv, KN.kn_org_bankgrp_ausl, KN.kn_org_bankgrp_inl, KN.kn_org_einlagen_ki_kz, 
KN.kn_rating_methode, KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, 
KN.kn_rating_kennung_stp, KN.kn_rating_datum, [_tmpSegmente1Bis7].kn_kl_segment_1, 
[_tmpSegmente1Bis7].kn_kl_segment_2, [_tmpSegmente1Bis7].kn_kl_segment_3, 
[_tmpSegmente1Bis7].kn_kl_segment_4, [_tmpSegmente1Bis7].kn_kl_segment_5, 
[_tmpSegmente1Bis7].kn_kl_segment_6, [_tmpSegmente1Bis7].kn_kl_segment_7, 
KN.kn_bonitaet, KN.kn_risikoklasse, 
Round(kn.kn_saldo_umsatzlos*[GBR_Quote],0) AS kn_saldo_umsatzlos, 
KN.kn_kz_g_m_kred, 
Round(kn.kn_blankokreditvolumen_in*[GBR_Quote],0) AS kn_blankokreditvolumen_in, 
Round(kn.kn_blankokreditvolumen_wi*[GBR_Quote],0) AS kn_blankokreditvolumen_wi, 
Round(kn.kn_personalkreditvolumen_in*[GBR_Quote],0) AS kn_personalkreditvolumen_in, 
Round(kn.kn_personalkreditvolumen_wi*[GBR_Quote],0) AS kn_personalkreditvolumen_wi, 
Round(kn.kn_realkreditvolumen_in*[GBR_Quote],0) AS kn_realkreditvolumen_in, 
Round(kn.kn_realkreditvolumen_wi*[GBR_Quote],0) AS kn_realkreditvolumen_wi, 
Round(kn.kn_kommunalkreditvolumen_in*[GBR_Quote],0) AS kn_kommunalkreditvolumen_in, 
Round(kn.kn_kommunalkreditvolumen_wi*[GBR_Quote],0) AS kn_kommunalkreditvolumen_wi, 
Round(kn.kn_freier_anteil_in*[GBR_Quote],0) AS kn_freier_anteil_in, 
Round(kn.kn_freier_anteil_wi*[GBR_Quote],0) AS kn_freier_anteil_wi, 
Round(kn.KN_wirt_anteil_in*[GBR_Quote],0) AS KN_wirt_anteil_in, 
Round(kn.KN_wirt_anteil_wi*[GBR_Quote],0) AS KN_wirt_anteil_wi, 
Round(kn.kn_komp_anteil_in*[GBR_Quote],0) AS kn_komp_anteil_in, 
Round(kn.kn_komp_anteil_wi*[GBR_Quote],0) AS kn_komp_anteil_wi, 
Round(kn.kn_gesamtkreditvolumen*[GBR_Quote],0) AS kn_gesamtkreditvolumen, 
Round(kn.kn_bewilligtes_darlehen_az6_neu*[GBR_Quote],0) AS kn_bewilligtes_darlehen_az6_neu, 
Round(kn.kn_ueberziehung_90*[GBR_Quote],0) AS kn_ueberziehung_90, 
Round(kn.kn_gutschriftensumme_e_v*[GBR_Quote],0) AS kn_gutschriftensumme_e_v, 
Round(kn.kn_meta_anteil_inanspruchnahme*[GBR_Quote],0) AS kn_meta_anteil_inanspruchnahme, 
Round(kn.kn_meta_anteil_kreditvolumen*[GBR_Quote],0) AS kn_meta_anteil_kreditvolumen, 
Round(kn.kn_kreditvolumen_derivate*[GBR_Quote],0) AS kn_kreditvolumen_derivate, 
Round(kn.kn_kreditvolumen_wertpapiere*[GBR_Quote],0) AS kn_kreditvolumen_wertpapiere, 
Round(kn.kn_kreditvolumen_wp_leihe*[GBR_Quote],0) AS kn_kreditvolumen_wp_leihe, 
Round(kn.kn_kreditvolumen_geldhandel*[GBR_Quote],0) AS kn_kreditvolumen_geldhandel, 
Round(kn.kn_kreditvolumen_fw_kredite*[GBR_Quote],0) AS kn_kreditvolumen_fw_kredite, 
Round(kn.kn_kreditvolumen_akkreditive*[GBR_Quote],0) AS kn_kreditvolumen_akkreditive, 
Round(kn.kn_kreditvolumen_beteiligung*[GBR_Quote],0) AS kn_kreditvolumen_beteiligung, 
Round(kn.kn_kreditvolumen_so_az9*[GBR_Quote],0) AS kn_kreditvolumen_so_az9, 
Round(kn.kn_kreditvolumen_kreditkarten*[GBR_Quote],0) AS kn_kreditvolumen_kreditkarten, 
Round(kn.kn_kreditvolumen_az2*[GBR_Quote],0) AS KN_Kreditvolumen_az2, 
Round(kn.kn_passiv_az2_3_4_9*[GBR_Quote],0) AS kn_passiv_az2_3_4_9, 
Round(kn.kn_passiv_depot*[GBR_Quote],0) AS kn_passiv_depot, 
Round(kn.kn_bew_rahmen_le*[GBR_Quote],0) AS kn_bew_rahmen_le, 
Round(kn.kn_labile_sicherheiten*[GBR_Quote],0) AS kn_labile_sicherheiten, 
Round(kn.kn_sicherheiten_uebereignung*[GBR_Quote],0) AS kn_sicherheiten_uebereignung, 
Round(kn.kn_zessionen*[GBR_Quote],0) AS kn_zessionen, 
Round(kn.kn_buergschaften*[GBR_Quote],0) AS kn_buergschaften, 
K.KontoNr, K.kto_kz_k_s, K.kto_geschaeftsart_depot_a, K.kto_skontronr, K.kto_kontobezeichnung_depot_a, 
K.kto_gp_key, K.kto_gp_variante, K.kto_kontentyp, K.kto_kreditart, K.kto_datum_eroeffnung, 
Round(K.kto_gesamtkreditvolumen*[GBR_Quote],0) AS kto_gesamtkreditvolumen, 
Round(k.kto_saldo*[GBR_Quote],0) AS kto_saldo, 
Round(k.kto_inanspruchnahme*[GBR_Quote],0) AS kto_inanspruchnahme, 
Round(k.kto_ueberziehung*[GBR_Quote],0) AS kto_ueberziehung, 
Round(k.kto_externer_kredit*[GBR_Quote],0) AS kto_externer_kredit, K.kto_bewilligungs_datum, 
K.kto_befristung_datum, Round(k.kto_interner_kredit*[GBR_Quote],0) AS kto_interner_kredit, 
K.kto_interner_kredit_bis, Round(k.kto_ueberziehung_genehmigt*[GBR_Quote],0) AS kto_ueberziehung_genehmigt, 
K.kto_ueberziehung_genehmigt_bis, K.kto_ueberz_hoechste_quartal_1, K.kto_ueberz_hoechste_quartal_2, 
K.kto_ueberz_hoechste_quartal_3, K.kto_ueberz_hoechste_quartal_4, K.kto_ueberziehungstage, 
K.kto_ueberziehungsdatum_ab, Round(k.kto_ueberziehung_m_ev*[GBR_Quote],0) AS kto_ueberziehung_m_ev, 
Round(k.kto_ueberziehung_o_ev*[GBR_Quote],0) AS kto_ueberziehung_o_ev, K.kto_zinssatz, K.kto_ab_merkmal, 
K.kto_kz_notleidend, K.kto_mindestr, K.kto_kreditkartennummer, 
Round(k.kto_offene_zusage*[GBR_Quote],0) AS kto_offene_zusage, 
Round(k.kto_bewilligtes_darlehen*[GBR_Quote],0) AS kto_bewilligtes_darlehen, 
Round(k.kto_tilgung_3*[GBR_Quote],0) AS kto_tilgung_3, 
Round(k.kto_tilgung_4_12*[GBR_Quote],0) AS kto_tilgung_4_12, 
Round(k.kto_tilgung_13_60*[GBR_Quote],0) AS kto_tilgung_13_60, 
Round(k.kto_tilgung_61*[GBR_Quote],0) AS kto_tilgung_61, 
Round(k.kto_verzug_entgelt*[GBR_Quote],0) AS kto_verzug_entgelt, 
Round(k.kto_verzug_verzinslich*[GBR_Quote],0) AS kto_verzug_verzinslich, 
Round(k.kto_verzug_unverzinslich*[GBR_Quote],0) AS kto_verzug_unverzinslich, 
Round(k.kto_vorauszahlung*[GBR_Quote],0) AS kto_vorauszahlung, K.kto_mahnstand, 
Round(k.kto_rueckgabenbetrag*[GBR_Quote],0) AS kto_rueckgabenbetrag, K.kto_rueckgabenanzahl, 
K.kto_aval_art, K.kto_aval_einzelbe, K.kto_aval_rahmenkontonr, K.kto_avalkred_betrag, 
Round(k.kto_meta_anteil_kreditvolumen*[GBR_Quote],0) AS kto_meta_anteil_kreditvolumen, 
Round(k.kto_meta_anteil_inanspruchnahme*[GBR_Quote],0) AS kto_meta_anteil_inanspruchnahme, 
K.kto_anzahl_sicherheiten, K.kto_summe_sicherheiten, K.kto_monatliche_Habenumsaetze, 
K.kto_habenumsatz_lfd_jahr, K.kto_habenumsatz_vorjahr, K.kto_haben_umsatz_vq_1, 
K.kto_haben_umsatz_vq_2, K.kto_haben_umsatz_vq_3, K.kto_haben_umsatz_vq_4, [_tmpVB1Bis5].kto_Verfuegung1, 
[_tmpVB1Bis5].kto_Verfuegung2, [_tmpVB1Bis5].kto_Verfuegung3, [_tmpVB1Bis5].kto_Verfuegung4, 
[_tmpVB1Bis5].kto_Verfuegung5, Round(k.kto_sperr_be*[GBR_Quote],0) AS kto_sperr_be, 
Round(k.kto_ewb_e*[GBR_Quote],0) AS kto_ewb_e, K.kto_ewb_e_datum, K.kto_ewb_e_jahr, K.kto_ewb_e_waehrung, 
K.kto_ewb_e_ermg_verf, K.kto_ewb_e_daten_ursprung, 
Round(k.kto_ewb_e_btrg_janf*[GBR_Quote],0) AS kto_ewb_e_btrg_janf, 
Round(k.kto_ewb_e_btrg_man*[GBR_Quote],0) AS kto_ewb_e_btrg_man, 
Round(k.kto_ewb_e_btrg_neu*[GBR_Quote],0) AS kto_ewb_e_btrg_neu, 
Round(k.kto_ewb_e_btrg_zugang*[GBR_Quote],0) AS kto_ewb_e_btrg_zugang, 
Round(k.kto_ewb_e_btrg_blanko*[GBR_Quote],0) AS kto_ewb_e_btrg_blanko, 
Round(k.kto_ewb_e_afls_btrg*[GBR_Quote],0) AS kto_ewb_e_afls_btrg, 
Round(k.kto_ewb_e_absg_ind_btrg*[GBR_Quote],0) AS kto_ewb_e_absg_ind_btrg, 
Round(k.kto_ewb_e_absg_dir_btrg*[GBR_Quote],0) AS kto_ewb_e_absg_dir_btrg, 
Round(k.kto_ewb_v*[GBR_Quote],0) AS kto_ewb_v, K.kto_ewb_v_datum, K.kto_ewb_v_jahr, K.kto_ewb_v_waehrung, 
K.kto_ewb_v_ermg_verf, K.kto_ewb_v_daten_ursprung, 
Round(k.kto_ewb_v_btrg_janf*[GBR_Quote],0) AS kto_ewb_v_btrg_janf, 
Round(k.kto_ewb_v_btrg_man*[GBR_Quote],0) AS kto_ewb_v_btrg_man, K.kto_ewb_v_btrg_neu, 
Round(k.kto_ewb_v_btrg_zugang*[GBR_Quote],0) AS kto_ewb_v_btrg_zugang, 
Round(k.kto_ewb_v_btrg_blanko*[GBR_Quote],0) AS kto_ewb_v_btrg_blanko, 
Round(k.kto_ewb_v_afls_btrg*[GBR_Quote],0) AS kto_ewb_v_afls_btrg, 
Round(k.kto_ewb_v_absg_ind_btrg*[GBR_Quote],0) AS kto_ewb_v_absg_ind_btrg, 
Round(k.kto_ewb_v_absg_dir_btrg*[GBR_Quote],0) AS kto_ewb_v_absg_dir_btrg,
round(k.kto_rk_betrag*[GBR_Quote],0) as kto_rk_betrag,
round(k.kto_rk_offene_zusage*[GBR_Quote],0) as kto_rk_offene_zusage,
k.kto_rk_kz, k.kto_rk_ts,kn.kn_verbund_art,kn_geko9513_gueltig_ab,
KNE.kne_gewichtete_Bonitaet, KN.KN_WARN_1210, KN.KN_WARN_1310, KN.KN_WARN_1425,
KN.KN_WARN_1435, KN.KN_WARN_1455, KN.KN_WARN_1510, KN.KN_WARN_1530, 
KN.KN_WARN_7000, KN.KN_WARN_7001, KN.KN_WARN_7002, KN.KN_WARN_7003, KN.KN_WARN_7004, 
KN.KN_WARN_7008, KN.KN_WARN_7017, KN.KN_WARN_7021, KN.KN_WARN_7029, KN.KN_WARN_7031, KN.KN_KUSYDSGV20 
FROM  _tmpAuswahlEWB AS T INNER JOIN tabKreditnehmereinheit AS KNE ON T.KNEID = KNE.KNEID INNER JOIN 
      tabKreditnehmer AS KN INNER JOIN
      tab_KNE_KN AS V ON KN.KNID = V.KNID ON KNE.KNEID = V.KNEID LEFT OUTER JOIN
      _tmpSegmente1Bis7 ON KN.KNID = _tmpSegmente1Bis7.KNID LEFT OUTER JOIN
      tabKonto AS K ON KN.KNID = K.KNID LEFT OUTER JOIN
      _tmpVB1Bis5 ON K.KontoID = _tmpVB1Bis5.KontoID
where T.Auswahl = 1 and t.BDate = @BDate and t.INR = @InstNR 
)
GO

ALTER FUNCTION [dbo].[SammelExportREXLS_Basis] 
(
    @INSTNR nvarchar(3),
    @BDate datetime,
    @SPID Int	 
)
RETURNS TABLE
AS
RETURN
(	
SELECT KNE.INR, KNE.BLZ, KNE.Bdate AS Bestandsdatum, KNE.KNE, KNE.kne_identnr, KNE.kne_wv, 
KNE.kne_externe_kredite, KNE.kne_interne_kredite, kne_Bonitaet, kne_Ueberziehungsgenehmigungen, 
KNE.kne_wv_verbnr, KNE.kne_berater, KNE.kne_beruf_branche, KNE.kne_gesamtkreditvolumen, KNE.kne_Inanspruchnahme, 
Kne_Guthaben, kne_Realkreditvolumen_in, kne_Personalkreditvolumen_in, kne_PKV_SPG_in,   
kne_Kreditueberschreitung, KNE.KNE_Name, KNE.kne_Darlehensrueckstand, KNE.kne_Risikoklasse, 
kne_blankokreditvolumen_in, kne_Kommunalkreditvolumen_in, kne_Kompensationskreditvolumen_in, kne_freier_anteil_in, 
kne_wirt_anteil_in, kne_Realkreditvolumen_wi, kne_Personalkreditvolumen_wi, kne_blankokreditvolumen_wi, 
kne_Kommunalkreditvolumen_wi, kne_Kompensationskreditvolumen_wi, kne_freier_anteil_wi, kne_wirt_anteil_wi, 
kne_ewb_e_btrg_janf, kne_ewb_e_btrg_neu, kne_ewb_e_btrg_zugang, kne_ewb_e_afls_btrg, kne_ewb_e_absg_ind_btrg,
kne_ewb_e, kne_ewb_e_absg_dir_btrg, kne_ewb_v_btrg_janf, kne_ewb_v_btrg_neu, kne_ewb_v_btrg_zugang, kne_ewb_v_afls_btrg,
kne_ewb_v_absg_ind_btrg, kne_ewb_v, kne_ewb_v_absg_dir_btrg, kne_ewb_Veraenderung, 
KNE.kne_kreditvolumen_az01, KNE.KNE_Kreditvolumen_az2, KNE.kne_kreditvolumen_az5, 
KNE.kne_kreditvolumen_az6, KNE.kne_kreditvolumen_az7, KNE.kne_kreditvolumen_derivate, 
KNE.kne_kreditvolumen_wertpapiere, KNE.kne_kreditvolumen_fw_kredite, KNE.kne_kreditvolumen_geldhandel, 
KNE.kne_kreditvolumen_wp_leihe, KNE.kne_kreditvolumen_akkreditive, KNE.kne_kreditvolumen_beteiligung, 
KNE.kne_kreditvolumen_so_az9, KNE.kne_kreditvolumen_kommunal, KNE.kne_kreditvolumen_kreditkarten, 
KNE.kne_gesamtkreditvolumen_not, KNE.kne_meta_anteil_kreditvolumen, KNE.kne_meta_anteil_inanspruchnahme, 
KNE.kne_bewilligungsvolumen_neu, KN.KN, KN.KN_Identnr, KN.kn_name, KN.kn_berater, KN.kn_wv, KN.kn_wv_verbnr, 
KN.kn_beruf_branche, KN.kn_wirtschaftszweig, KN.kn_beruf, KN.kn_strasse, KN.kn_haus_nr, KN.kn_post_erg, 
KN.kn_postleit, KN.kn_ort, KN.kn_land, KN.kn_ortskenn, KN.kn_g_verb_s, 
CASE WHEN V.RGrund = 'KNE' THEN V.GBR_Quote ELSE NULL END AS kn_gbr_quote, 
KN.kn_kundentyp, KN.kn_o_rechts, KN.kn_pers_art, KN.kn_pers_unterart, KN.kn_rechtl_s, KN.kn_kz_organ, 
KN.kn_kusydsgv, KN.kn_org_bankgrp_ausl, KN.kn_org_bankgrp_inl, KN.kn_org_einlagen_ki_kz, 
KN.kn_rating_methode, KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, 
KN.kn_rating_kennung_stp, KN.kn_rating_datum, [_tmpSegmente1Bis7].kn_kl_segment_1, 
[_tmpSegmente1Bis7].kn_kl_segment_2, [_tmpSegmente1Bis7].kn_kl_segment_3, 
[_tmpSegmente1Bis7].kn_kl_segment_4, [_tmpSegmente1Bis7].kn_kl_segment_5, 
[_tmpSegmente1Bis7].kn_kl_segment_6, [_tmpSegmente1Bis7].kn_kl_segment_7, 
KN.kn_bonitaet, KN.kn_risikoklasse, 
Round(kn.kn_saldo_umsatzlos*[GBR_Quote],0) AS kn_saldo_umsatzlos, 
KN.kn_kz_g_m_kred, 
Round(kn.kn_blankokreditvolumen_in*[GBR_Quote],0) AS kn_blankokreditvolumen_in, 
Round(kn.kn_blankokreditvolumen_wi*[GBR_Quote],0) AS kn_blankokreditvolumen_wi, 
Round(kn.kn_personalkreditvolumen_in*[GBR_Quote],0) AS kn_personalkreditvolumen_in, 
Round(kn.kn_personalkreditvolumen_wi*[GBR_Quote],0) AS kn_personalkreditvolumen_wi, 
Round(kn.kn_realkreditvolumen_in*[GBR_Quote],0) AS kn_realkreditvolumen_in, 
Round(kn.kn_realkreditvolumen_wi*[GBR_Quote],0) AS kn_realkreditvolumen_wi, 
Round(kn.kn_kommunalkreditvolumen_in*[GBR_Quote],0) AS kn_kommunalkreditvolumen_in, 
Round(kn.kn_kommunalkreditvolumen_wi*[GBR_Quote],0) AS kn_kommunalkreditvolumen_wi, 
Round(kn.kn_freier_anteil_in*[GBR_Quote],0) AS kn_freier_anteil_in, 
Round(kn.kn_freier_anteil_wi*[GBR_Quote],0) AS kn_freier_anteil_wi, 
Round(kn.KN_wirt_anteil_in*[GBR_Quote],0) AS KN_wirt_anteil_in, 
Round(kn.KN_wirt_anteil_wi*[GBR_Quote],0) AS KN_wirt_anteil_wi, 
Round(kn.kn_komp_anteil_in*[GBR_Quote],0) AS kn_komp_anteil_in, 
Round(kn.kn_komp_anteil_wi*[GBR_Quote],0) AS kn_komp_anteil_wi, 
Round(kn.kn_gesamtkreditvolumen*[GBR_Quote],0) AS kn_gesamtkreditvolumen, 
Round(kn.kn_bewilligtes_darlehen_az6_neu*[GBR_Quote],0) AS kn_bewilligtes_darlehen_az6_neu, 
Round(kn.kn_ueberziehung_90*[GBR_Quote],0) AS kn_ueberziehung_90, 
Round(kn.kn_gutschriftensumme_e_v*[GBR_Quote],0) AS kn_gutschriftensumme_e_v, 
Round(kn.kn_meta_anteil_inanspruchnahme*[GBR_Quote],0) AS kn_meta_anteil_inanspruchnahme, 
Round(kn.kn_meta_anteil_kreditvolumen*[GBR_Quote],0) AS kn_meta_anteil_kreditvolumen, 
Round(kn.kn_kreditvolumen_derivate*[GBR_Quote],0) AS kn_kreditvolumen_derivate, 
Round(kn.kn_kreditvolumen_wertpapiere*[GBR_Quote],0) AS kn_kreditvolumen_wertpapiere, 
Round(kn.kn_kreditvolumen_wp_leihe*[GBR_Quote],0) AS kn_kreditvolumen_wp_leihe, 
Round(kn.kn_kreditvolumen_geldhandel*[GBR_Quote],0) AS kn_kreditvolumen_geldhandel, 
Round(kn.kn_kreditvolumen_fw_kredite*[GBR_Quote],0) AS kn_kreditvolumen_fw_kredite, 
Round(kn.kn_kreditvolumen_akkreditive*[GBR_Quote],0) AS kn_kreditvolumen_akkreditive, 
Round(kn.kn_kreditvolumen_beteiligung*[GBR_Quote],0) AS kn_kreditvolumen_beteiligung, 
Round(kn.kn_kreditvolumen_so_az9*[GBR_Quote],0) AS kn_kreditvolumen_so_az9, 
Round(kn.kn_kreditvolumen_kreditkarten*[GBR_Quote],0) AS kn_kreditvolumen_kreditkarten, 
Round(kn.kn_kreditvolumen_az2*[GBR_Quote],0) AS KN_Kreditvolumen_az2, 
Round(kn.kn_passiv_az2_3_4_9*[GBR_Quote],0) AS kn_passiv_az2_3_4_9, 
Round(kn.kn_passiv_depot*[GBR_Quote],0) AS kn_passiv_depot, 
Round(kn.kn_bew_rahmen_le*[GBR_Quote],0) AS kn_bew_rahmen_le, 
Round(kn.kn_labile_sicherheiten*[GBR_Quote],0) AS kn_labile_sicherheiten, 
Round(kn.kn_sicherheiten_uebereignung*[GBR_Quote],0) AS kn_sicherheiten_uebereignung, 
Round(kn.kn_zessionen*[GBR_Quote],0) AS kn_zessionen, 
Round(kn.kn_buergschaften*[GBR_Quote],0) AS kn_buergschaften, 
K.KontoNr, K.kto_kz_k_s, K.kto_geschaeftsart_depot_a, K.kto_skontronr, K.kto_kontobezeichnung_depot_a, 
K.kto_gp_key, K.kto_gp_variante, K.kto_kontentyp, K.kto_kreditart, K.kto_datum_eroeffnung, 
Round(K.kto_gesamtkreditvolumen*[GBR_Quote],0) AS kto_gesamtkreditvolumen, 
Round(k.kto_saldo*[GBR_Quote],0) AS kto_saldo, 
Round(k.kto_inanspruchnahme*[GBR_Quote],0) AS kto_inanspruchnahme, 
Round(k.kto_ueberziehung*[GBR_Quote],0) AS kto_ueberziehung, 
Round(k.kto_externer_kredit*[GBR_Quote],0) AS kto_externer_kredit, K.kto_bewilligungs_datum, 
K.kto_befristung_datum, Round(k.kto_interner_kredit*[GBR_Quote],0) AS kto_interner_kredit, 
K.kto_interner_kredit_bis, Round(k.kto_ueberziehung_genehmigt*[GBR_Quote],0) AS kto_ueberziehung_genehmigt, 
K.kto_ueberziehung_genehmigt_bis, K.kto_ueberz_hoechste_quartal_1, K.kto_ueberz_hoechste_quartal_2, 
K.kto_ueberz_hoechste_quartal_3, K.kto_ueberz_hoechste_quartal_4, K.kto_ueberziehungstage, 
K.kto_ueberziehungsdatum_ab, Round(k.kto_ueberziehung_m_ev*[GBR_Quote],0) AS kto_ueberziehung_m_ev, 
Round(k.kto_ueberziehung_o_ev*[GBR_Quote],0) AS kto_ueberziehung_o_ev, K.kto_zinssatz, K.kto_ab_merkmal, 
K.kto_kz_notleidend, K.kto_mindestr, K.kto_kreditkartennummer, 
Round(k.kto_offene_zusage*[GBR_Quote],0) AS kto_offene_zusage, 
Round(k.kto_bewilligtes_darlehen*[GBR_Quote],0) AS kto_bewilligtes_darlehen, 
Round(k.kto_tilgung_3*[GBR_Quote],0) AS kto_tilgung_3, 
Round(k.kto_tilgung_4_12*[GBR_Quote],0) AS kto_tilgung_4_12, 
Round(k.kto_tilgung_13_60*[GBR_Quote],0) AS kto_tilgung_13_60, 
Round(k.kto_tilgung_61*[GBR_Quote],0) AS kto_tilgung_61, 
Round(k.kto_verzug_entgelt*[GBR_Quote],0) AS kto_verzug_entgelt, 
Round(k.kto_verzug_verzinslich*[GBR_Quote],0) AS kto_verzug_verzinslich, 
Round(k.kto_verzug_unverzinslich*[GBR_Quote],0) AS kto_verzug_unverzinslich, 
Round(k.kto_vorauszahlung*[GBR_Quote],0) AS kto_vorauszahlung, K.kto_mahnstand, 
Round(k.kto_rueckgabenbetrag*[GBR_Quote],0) AS kto_rueckgabenbetrag, K.kto_rueckgabenanzahl, 
K.kto_aval_art, K.kto_aval_einzelbe, K.kto_aval_rahmenkontonr, K.kto_avalkred_betrag, 
Round(k.kto_meta_anteil_kreditvolumen*[GBR_Quote],0) AS kto_meta_anteil_kreditvolumen, 
Round(k.kto_meta_anteil_inanspruchnahme*[GBR_Quote],0) AS kto_meta_anteil_inanspruchnahme, 
K.kto_anzahl_sicherheiten, K.kto_summe_sicherheiten, K.kto_monatliche_Habenumsaetze, 
K.kto_habenumsatz_lfd_jahr, K.kto_habenumsatz_vorjahr, K.kto_haben_umsatz_vq_1, 
K.kto_haben_umsatz_vq_2, K.kto_haben_umsatz_vq_3, K.kto_haben_umsatz_vq_4, [_tmpVB1Bis5].kto_Verfuegung1, 
[_tmpVB1Bis5].kto_Verfuegung2, [_tmpVB1Bis5].kto_Verfuegung3, [_tmpVB1Bis5].kto_Verfuegung4, 
[_tmpVB1Bis5].kto_Verfuegung5, Round(k.kto_sperr_be*[GBR_Quote],0) AS kto_sperr_be, 
Round(k.kto_ewb_e*[GBR_Quote],0) AS kto_ewb_e, K.kto_ewb_e_datum, K.kto_ewb_e_jahr, K.kto_ewb_e_waehrung, 
K.kto_ewb_e_ermg_verf, K.kto_ewb_e_daten_ursprung, 
Round(k.kto_ewb_e_btrg_janf*[GBR_Quote],0) AS kto_ewb_e_btrg_janf, 
Round(k.kto_ewb_e_btrg_man*[GBR_Quote],0) AS kto_ewb_e_btrg_man, 
Round(k.kto_ewb_e_btrg_neu*[GBR_Quote],0) AS kto_ewb_e_btrg_neu, 
Round(k.kto_ewb_e_btrg_zugang*[GBR_Quote],0) AS kto_ewb_e_btrg_zugang, 
Round(k.kto_ewb_e_btrg_blanko*[GBR_Quote],0) AS kto_ewb_e_btrg_blanko, 
Round(k.kto_ewb_e_afls_btrg*[GBR_Quote],0) AS kto_ewb_e_afls_btrg, 
Round(k.kto_ewb_e_absg_ind_btrg*[GBR_Quote],0) AS kto_ewb_e_absg_ind_btrg, 
Round(k.kto_ewb_e_absg_dir_btrg*[GBR_Quote],0) AS kto_ewb_e_absg_dir_btrg, 
Round(k.kto_ewb_v*[GBR_Quote],0) AS kto_ewb_v, K.kto_ewb_v_datum, K.kto_ewb_v_jahr, K.kto_ewb_v_waehrung, 
K.kto_ewb_v_ermg_verf, K.kto_ewb_v_daten_ursprung, 
Round(k.kto_ewb_v_btrg_janf*[GBR_Quote],0) AS kto_ewb_v_btrg_janf, 
Round(k.kto_ewb_v_btrg_man*[GBR_Quote],0) AS kto_ewb_v_btrg_man, K.kto_ewb_v_btrg_neu, 
Round(k.kto_ewb_v_btrg_zugang*[GBR_Quote],0) AS kto_ewb_v_btrg_zugang, 
Round(k.kto_ewb_v_btrg_blanko*[GBR_Quote],0) AS kto_ewb_v_btrg_blanko, 
Round(k.kto_ewb_v_afls_btrg*[GBR_Quote],0) AS kto_ewb_v_afls_btrg, 
Round(k.kto_ewb_v_absg_ind_btrg*[GBR_Quote],0) AS kto_ewb_v_absg_ind_btrg, 
Round(k.kto_ewb_v_absg_dir_btrg*[GBR_Quote],0) AS kto_ewb_v_absg_dir_btrg,
round(k.kto_rk_betrag*[GBR_Quote],0) as kto_rk_betrag,
round(k.kto_rk_offene_zusage*[GBR_Quote],0) as kto_rk_offene_zusage,
k.kto_rk_kz, k.kto_rk_ts,kn.kn_verbund_art,kn_geko9513_gueltig_ab,
KNE.kne_gewichtete_Bonitaet, KN.KN_WARN_1210, KN.KN_WARN_1310, KN.KN_WARN_1425,
KN.KN_WARN_1435, KN.KN_WARN_1455, KN.KN_WARN_1510, KN.KN_WARN_1530, 
KN.KN_WARN_7000, KN.KN_WARN_7001, KN.KN_WARN_7002, KN.KN_WARN_7003, KN.KN_WARN_7004, 
KN.KN_WARN_7008, KN.KN_WARN_7017, KN.KN_WARN_7021, KN.KN_WARN_7029, KN.KN_WARN_7031, kn.KN_KUSYDSGV20 
FROM  _tmpAuswahlEWB AS T INNER JOIN tabKreditnehmereinheit AS KNE ON T.KNEID = KNE.KNEID INNER JOIN 
      tabKreditnehmer AS KN INNER JOIN
      tabKN_RisikoSammel AS V ON KN.KNID = V.KNID ON KNE.KNEID = V.KNEID LEFT OUTER JOIN
      _tmpSegmente1Bis7 ON KN.KNID = _tmpSegmente1Bis7.KNID LEFT OUTER JOIN
      tabKonto AS K ON KN.KNID = K.KNID LEFT OUTER JOIN
      _tmpVB1Bis5 ON K.KontoID = _tmpVB1Bis5.KontoID
where T.Auswahl = 1 and T.BDate = @BDate and T.INR = @InstNR 
)

GO


ALTER FUNCTION [dbo].[EinzelExportXLS_Basis] 
(
    @INSTNR nvarchar(3),
    @BDate datetime,
	@SPID int 
)
RETURNS TABLE
AS
RETURN
(	
SELECT KNE.INR, KNE.BLZ, KNE.Bdate AS Bestandsdatum, KNE.KNE, KNE.kne_identnr, KNE.kne_wv, 
KNE.kne_externe_kredite, KNE.kne_interne_kredite, kne_Bonitaet, kne_Ueberziehungsgenehmigungen, 
KNE.kne_wv_verbnr, KNE.kne_berater, KNE.kne_beruf_branche, KNE.kne_gesamtkreditvolumen, KNE.kne_Inanspruchnahme, 
Kne_Guthaben, kne_Realkreditvolumen_in, kne_Personalkreditvolumen_in, kne_PKV_SPG_in,   
kne_Kreditueberschreitung, KNE.KNE_Name, KNE.kne_Darlehensrueckstand, KNE.kne_Risikoklasse, 
kne_blankokreditvolumen_in, kne_Kommunalkreditvolumen_in, kne_Kompensationskreditvolumen_in, kne_freier_anteil_in, 
kne_wirt_anteil_in, kne_Realkreditvolumen_wi, kne_Personalkreditvolumen_wi, kne_blankokreditvolumen_wi, 
kne_Kommunalkreditvolumen_wi, kne_Kompensationskreditvolumen_wi, kne_freier_anteil_wi, kne_wirt_anteil_wi, 
kne_ewb_e_btrg_janf, kne_ewb_e_btrg_neu, kne_ewb_e_btrg_zugang, kne_ewb_e_afls_btrg, kne_ewb_e_absg_ind_btrg,
kne_ewb_e, kne_ewb_e_absg_dir_btrg, kne_ewb_v_btrg_janf, kne_ewb_v_btrg_neu, kne_ewb_v_btrg_zugang, kne_ewb_v_afls_btrg,
kne_ewb_v_absg_ind_btrg, kne_ewb_v, kne_ewb_v_absg_dir_btrg, kne_ewb_Veraenderung, 
KNE.kne_kreditvolumen_az01, KNE.KNE_Kreditvolumen_az2, KNE.kne_kreditvolumen_az5, 
KNE.kne_kreditvolumen_az6, KNE.kne_kreditvolumen_az7, KNE.kne_kreditvolumen_derivate, 
KNE.kne_kreditvolumen_wertpapiere, KNE.kne_kreditvolumen_fw_kredite, KNE.kne_kreditvolumen_geldhandel, 
KNE.kne_kreditvolumen_wp_leihe, KNE.kne_kreditvolumen_akkreditive, KNE.kne_kreditvolumen_beteiligung, 
KNE.kne_kreditvolumen_so_az9, KNE.kne_kreditvolumen_kommunal, KNE.kne_kreditvolumen_kreditkarten, 
KNE.kne_gesamtkreditvolumen_not, KNE.kne_meta_anteil_kreditvolumen, KNE.kne_meta_anteil_inanspruchnahme, 
KNE.kne_bewilligungsvolumen_neu, KN.KN, KN.KN_Identnr, KN.kn_name, KN.kn_berater, KN.kn_wv, KN.kn_wv_verbnr, 
KN.kn_beruf_branche, KN.kn_wirtschaftszweig, KN.kn_beruf, KN.kn_strasse, KN.kn_haus_nr, KN.kn_post_erg, 
KN.kn_postleit, KN.kn_ort, KN.kn_land, KN.kn_ortskenn, KN.kn_g_verb_s, V.GBR_Quote AS kn_gbr_quote, 
KN.kn_kundentyp, KN.kn_o_rechts, KN.kn_pers_art, KN.kn_pers_unterart, KN.kn_rechtl_s, KN.kn_kz_organ, 
KN.kn_kusydsgv, KN.kn_org_bankgrp_ausl, KN.kn_org_bankgrp_inl, KN.kn_org_einlagen_ki_kz, 
KN.kn_rating_methode, KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, 
KN.kn_rating_kennung_stp, KN.kn_rating_datum, [_tmpSegmente1Bis7].kn_kl_segment_1, 
[_tmpSegmente1Bis7].kn_kl_segment_2, [_tmpSegmente1Bis7].kn_kl_segment_3, 
[_tmpSegmente1Bis7].kn_kl_segment_4, [_tmpSegmente1Bis7].kn_kl_segment_5, 
[_tmpSegmente1Bis7].kn_kl_segment_6, [_tmpSegmente1Bis7].kn_kl_segment_7, 
KN.kn_bonitaet, KN.kn_risikoklasse, 
Round(kn.kn_saldo_umsatzlos*[GBR_Quote],0) AS kn_saldo_umsatzlos, 
KN.kn_kz_g_m_kred, 
Round(kn.kn_blankokreditvolumen_in*[GBR_Quote],0) AS kn_blankokreditvolumen_in, 
Round(kn.kn_blankokreditvolumen_wi*[GBR_Quote],0) AS kn_blankokreditvolumen_wi, 
Round(kn.kn_personalkreditvolumen_in*[GBR_Quote],0) AS kn_personalkreditvolumen_in, 
Round(kn.kn_personalkreditvolumen_wi*[GBR_Quote],0) AS kn_personalkreditvolumen_wi, 
Round(kn.kn_realkreditvolumen_in*[GBR_Quote],0) AS kn_realkreditvolumen_in, 
Round(kn.kn_realkreditvolumen_wi*[GBR_Quote],0) AS kn_realkreditvolumen_wi, 
Round(kn.kn_kommunalkreditvolumen_in*[GBR_Quote],0) AS kn_kommunalkreditvolumen_in, 
Round(kn.kn_kommunalkreditvolumen_wi*[GBR_Quote],0) AS kn_kommunalkreditvolumen_wi, 
Round(kn.kn_freier_anteil_in*[GBR_Quote],0) AS kn_freier_anteil_in, 
Round(kn.kn_freier_anteil_wi*[GBR_Quote],0) AS kn_freier_anteil_wi, 
Round(kn.KN_wirt_anteil_in*[GBR_Quote],0) AS KN_wirt_anteil_in, 
Round(kn.KN_wirt_anteil_wi*[GBR_Quote],0) AS KN_wirt_anteil_wi, 
Round(kn.kn_komp_anteil_in*[GBR_Quote],0) AS kn_komp_anteil_in, 
Round(kn.kn_komp_anteil_wi*[GBR_Quote],0) AS kn_komp_anteil_wi, 
Round(kn.kn_gesamtkreditvolumen*[GBR_Quote],0) AS kn_gesamtkreditvolumen, 
Round(kn.kn_bewilligtes_darlehen_az6_neu*[GBR_Quote],0) AS kn_bewilligtes_darlehen_az6_neu, 
Round(kn.kn_ueberziehung_90*[GBR_Quote],0) AS kn_ueberziehung_90, 
Round(kn.kn_gutschriftensumme_e_v*[GBR_Quote],0) AS kn_gutschriftensumme_e_v, 
Round(kn.kn_meta_anteil_inanspruchnahme*[GBR_Quote],0) AS kn_meta_anteil_inanspruchnahme, 
Round(kn.kn_meta_anteil_kreditvolumen*[GBR_Quote],0) AS kn_meta_anteil_kreditvolumen, 
Round(kn.kn_kreditvolumen_derivate*[GBR_Quote],0) AS kn_kreditvolumen_derivate, 
Round(kn.kn_kreditvolumen_wertpapiere*[GBR_Quote],0) AS kn_kreditvolumen_wertpapiere, 
Round(kn.kn_kreditvolumen_wp_leihe*[GBR_Quote],0) AS kn_kreditvolumen_wp_leihe, 
Round(kn.kn_kreditvolumen_geldhandel*[GBR_Quote],0) AS kn_kreditvolumen_geldhandel, 
Round(kn.kn_kreditvolumen_fw_kredite*[GBR_Quote],0) AS kn_kreditvolumen_fw_kredite, 
Round(kn.kn_kreditvolumen_akkreditive*[GBR_Quote],0) AS kn_kreditvolumen_akkreditive, 
Round(kn.kn_kreditvolumen_beteiligung*[GBR_Quote],0) AS kn_kreditvolumen_beteiligung, 
Round(kn.kn_kreditvolumen_so_az9*[GBR_Quote],0) AS kn_kreditvolumen_so_az9, 
Round(kn.kn_kreditvolumen_kreditkarten*[GBR_Quote],0) AS kn_kreditvolumen_kreditkarten, 
Round(kn.kn_kreditvolumen_az2*[GBR_Quote],0) AS KN_Kreditvolumen_az2, 
Round(kn.kn_passiv_az2_3_4_9*[GBR_Quote],0) AS kn_passiv_az2_3_4_9, 
Round(kn.kn_passiv_depot*[GBR_Quote],0) AS kn_passiv_depot, 
Round(kn.kn_bew_rahmen_le*[GBR_Quote],0) AS kn_bew_rahmen_le, 
Round(kn.kn_labile_sicherheiten*[GBR_Quote],0) AS kn_labile_sicherheiten, 
Round(kn.kn_sicherheiten_uebereignung*[GBR_Quote],0) AS kn_sicherheiten_uebereignung, 
Round(kn.kn_zessionen*[GBR_Quote],0) AS kn_zessionen, 
Round(kn.kn_buergschaften*[GBR_Quote],0) AS kn_buergschaften, 
K.KontoNr, K.kto_kz_k_s, K.kto_geschaeftsart_depot_a, K.kto_skontronr, K.kto_kontobezeichnung_depot_a, 
K.kto_gp_key, K.kto_gp_variante, K.kto_kontentyp, K.kto_kreditart, K.kto_datum_eroeffnung, 
Round(K.kto_gesamtkreditvolumen*[GBR_Quote],0) AS kto_gesamtkreditvolumen, 
Round(k.kto_saldo*[GBR_Quote],0) AS kto_saldo, 
Round(k.kto_inanspruchnahme*[GBR_Quote],0) AS kto_inanspruchnahme, 
Round(k.kto_ueberziehung*[GBR_Quote],0) AS kto_ueberziehung, 
Round(k.kto_externer_kredit*[GBR_Quote],0) AS kto_externer_kredit, K.kto_bewilligungs_datum, 
K.kto_befristung_datum, Round(k.kto_interner_kredit*[GBR_Quote],0) AS kto_interner_kredit, 
K.kto_interner_kredit_bis, Round(k.kto_ueberziehung_genehmigt*[GBR_Quote],0) AS kto_ueberziehung_genehmigt, 
K.kto_ueberziehung_genehmigt_bis, K.kto_ueberz_hoechste_quartal_1, K.kto_ueberz_hoechste_quartal_2, 
K.kto_ueberz_hoechste_quartal_3, K.kto_ueberz_hoechste_quartal_4, K.kto_ueberziehungstage, 
K.kto_ueberziehungsdatum_ab, Round(k.kto_ueberziehung_m_ev*[GBR_Quote],0) AS kto_ueberziehung_m_ev, 
Round(k.kto_ueberziehung_o_ev*[GBR_Quote],0) AS kto_ueberziehung_o_ev, K.kto_zinssatz, K.kto_ab_merkmal, 
K.kto_kz_notleidend, K.kto_mindestr, K.kto_kreditkartennummer, 
Round(k.kto_offene_zusage*[GBR_Quote],0) AS kto_offene_zusage, 
Round(k.kto_bewilligtes_darlehen*[GBR_Quote],0) AS kto_bewilligtes_darlehen, 
Round(k.kto_tilgung_3*[GBR_Quote],0) AS kto_tilgung_3, 
Round(k.kto_tilgung_4_12*[GBR_Quote],0) AS kto_tilgung_4_12, 
Round(k.kto_tilgung_13_60*[GBR_Quote],0) AS kto_tilgung_13_60, 
Round(k.kto_tilgung_61*[GBR_Quote],0) AS kto_tilgung_61, 
Round(k.kto_verzug_entgelt*[GBR_Quote],0) AS kto_verzug_entgelt, 
Round(k.kto_verzug_verzinslich*[GBR_Quote],0) AS kto_verzug_verzinslich, 
Round(k.kto_verzug_unverzinslich*[GBR_Quote],0) AS kto_verzug_unverzinslich, 
Round(k.kto_vorauszahlung*[GBR_Quote],0) AS kto_vorauszahlung, K.kto_mahnstand, 
Round(k.kto_rueckgabenbetrag*[GBR_Quote],0) AS kto_rueckgabenbetrag, K.kto_rueckgabenanzahl, 
K.kto_aval_art, K.kto_aval_einzelbe, K.kto_aval_rahmenkontonr, K.kto_avalkred_betrag, 
Round(k.kto_meta_anteil_kreditvolumen*[GBR_Quote],0) AS kto_meta_anteil_kreditvolumen, 
Round(k.kto_meta_anteil_inanspruchnahme*[GBR_Quote],0) AS kto_meta_anteil_inanspruchnahme, 
K.kto_anzahl_sicherheiten, K.kto_summe_sicherheiten, K.kto_monatliche_Habenumsaetze, 
K.kto_habenumsatz_lfd_jahr, K.kto_habenumsatz_vorjahr, K.kto_haben_umsatz_vq_1, 
K.kto_haben_umsatz_vq_2, K.kto_haben_umsatz_vq_3, K.kto_haben_umsatz_vq_4, [_tmpVB1Bis5].kto_Verfuegung1, 
[_tmpVB1Bis5].kto_Verfuegung2, [_tmpVB1Bis5].kto_Verfuegung3, [_tmpVB1Bis5].kto_Verfuegung4, 
[_tmpVB1Bis5].kto_Verfuegung5, Round(k.kto_sperr_be*[GBR_Quote],0) AS kto_sperr_be, 
Round(k.kto_ewb_e*[GBR_Quote],0) AS kto_ewb_e, K.kto_ewb_e_datum, K.kto_ewb_e_jahr, K.kto_ewb_e_waehrung, 
K.kto_ewb_e_ermg_verf, K.kto_ewb_e_daten_ursprung, 
Round(k.kto_ewb_e_btrg_janf*[GBR_Quote],0) AS kto_ewb_e_btrg_janf, 
Round(k.kto_ewb_e_btrg_man*[GBR_Quote],0) AS kto_ewb_e_btrg_man, 
Round(k.kto_ewb_e_btrg_neu*[GBR_Quote],0) AS kto_ewb_e_btrg_neu, 
Round(k.kto_ewb_e_btrg_zugang*[GBR_Quote],0) AS kto_ewb_e_btrg_zugang, 
Round(k.kto_ewb_e_btrg_blanko*[GBR_Quote],0) AS kto_ewb_e_btrg_blanko, 
Round(k.kto_ewb_e_afls_btrg*[GBR_Quote],0) AS kto_ewb_e_afls_btrg, 
Round(k.kto_ewb_e_absg_ind_btrg*[GBR_Quote],0) AS kto_ewb_e_absg_ind_btrg, 
Round(k.kto_ewb_e_absg_dir_btrg*[GBR_Quote],0) AS kto_ewb_e_absg_dir_btrg, 
Round(k.kto_ewb_v*[GBR_Quote],0) AS kto_ewb_v, K.kto_ewb_v_datum, K.kto_ewb_v_jahr, K.kto_ewb_v_waehrung, 
K.kto_ewb_v_ermg_verf, K.kto_ewb_v_daten_ursprung, 
Round(k.kto_ewb_v_btrg_janf*[GBR_Quote],0) AS kto_ewb_v_btrg_janf, 
Round(k.kto_ewb_v_btrg_man*[GBR_Quote],0) AS kto_ewb_v_btrg_man, K.kto_ewb_v_btrg_neu, 
Round(k.kto_ewb_v_btrg_zugang*[GBR_Quote],0) AS kto_ewb_v_btrg_zugang, 
Round(k.kto_ewb_v_btrg_blanko*[GBR_Quote],0) AS kto_ewb_v_btrg_blanko, 
Round(k.kto_ewb_v_afls_btrg*[GBR_Quote],0) AS kto_ewb_v_afls_btrg, 
Round(k.kto_ewb_v_absg_ind_btrg*[GBR_Quote],0) AS kto_ewb_v_absg_ind_btrg, 
Round(k.kto_ewb_v_absg_dir_btrg*[GBR_Quote],0) AS kto_ewb_v_absg_dir_btrg,
round(k.kto_rk_betrag*[GBR_Quote],0) as kto_rk_betrag,
round(k.kto_rk_offene_zusage*[GBR_Quote],0) as kto_rk_offene_zusage,
k.kto_rk_kz, k.kto_rk_ts,kn.kn_verbund_art,kn_geko9513_gueltig_ab,
KNE.kne_gewichtete_Bonitaet, KN.KN_WARN_1210, KN.KN_WARN_1310, KN.KN_WARN_1425,
KN.KN_WARN_1435, KN.KN_WARN_1455, KN.KN_WARN_1510, KN.KN_WARN_1530, 
KN.KN_WARN_7000, KN.KN_WARN_7001, KN.KN_WARN_7002, KN.KN_WARN_7003, KN.KN_WARN_7004, 
KN.KN_WARN_7008, KN.KN_WARN_7017, KN.KN_WARN_7021, KN.KN_WARN_7029, KN.KN_WARN_7031, kn.KN_KUSYDSGV20 
FROM  _tmpAuswahl as T INNER JOIN tabKreditnehmereinheit AS KNE ON T.KNEID = KNE.KNEID INNER JOIN 
      tabKreditnehmer AS KN INNER JOIN
      tab_KNE_KN AS V ON KN.KNID = V.KNID ON KNE.KNEID = V.KNEID LEFT OUTER JOIN
      _tmpSegmente1Bis7 ON KN.KNID = _tmpSegmente1Bis7.KNID LEFT OUTER JOIN
      tabKonto AS K ON KN.KNID = K.KNID LEFT OUTER JOIN
      _tmpVB1Bis5 ON K.KontoID = _tmpVB1Bis5.KontoID
where t.BDate = @BDate and t.INR = @InstNR AND T.SPID = @SPID
)
GO


ALTER FUNCTION [dbo].[EinzelExportREXLS_Basis] 
(
    @INSTNR nvarchar(3),
    @BDate datetime,
	@SPID int 
)
RETURNS TABLE
AS
RETURN
(	
SELECT KNE.INR, KNE.BLZ, KNE.Bdate AS Bestandsdatum, KNE.KNE, KNE.kne_identnr, KNE.kne_wv, 
KNE.kne_externe_kredite, KNE.kne_interne_kredite, kne_Bonitaet, kne_Ueberziehungsgenehmigungen, 
KNE.kne_wv_verbnr, KNE.kne_berater, KNE.kne_beruf_branche, KNE.kne_gesamtkreditvolumen, KNE.kne_Inanspruchnahme, 
Kne_Guthaben, kne_Realkreditvolumen_in, kne_Personalkreditvolumen_in, kne_PKV_SPG_in,   
kne_Kreditueberschreitung, KNE.KNE_Name, KNE.kne_Darlehensrueckstand, KNE.kne_Risikoklasse, 
kne_blankokreditvolumen_in, kne_Kommunalkreditvolumen_in, kne_Kompensationskreditvolumen_in, kne_freier_anteil_in, 
kne_wirt_anteil_in, kne_Realkreditvolumen_wi, kne_Personalkreditvolumen_wi, kne_blankokreditvolumen_wi, 
kne_Kommunalkreditvolumen_wi, kne_Kompensationskreditvolumen_wi, kne_freier_anteil_wi, kne_wirt_anteil_wi, 
kne_ewb_e_btrg_janf, kne_ewb_e_btrg_neu, kne_ewb_e_btrg_zugang, kne_ewb_e_afls_btrg, kne_ewb_e_absg_ind_btrg,
kne_ewb_e, kne_ewb_e_absg_dir_btrg, kne_ewb_v_btrg_janf, kne_ewb_v_btrg_neu, kne_ewb_v_btrg_zugang, kne_ewb_v_afls_btrg,
kne_ewb_v_absg_ind_btrg, kne_ewb_v, kne_ewb_v_absg_dir_btrg, kne_ewb_Veraenderung, 
KNE.kne_kreditvolumen_az01, KNE.KNE_Kreditvolumen_az2, KNE.kne_kreditvolumen_az5, 
KNE.kne_kreditvolumen_az6, KNE.kne_kreditvolumen_az7, KNE.kne_kreditvolumen_derivate, 
KNE.kne_kreditvolumen_wertpapiere, KNE.kne_kreditvolumen_fw_kredite, KNE.kne_kreditvolumen_geldhandel, 
KNE.kne_kreditvolumen_wp_leihe, KNE.kne_kreditvolumen_akkreditive, KNE.kne_kreditvolumen_beteiligung, 
KNE.kne_kreditvolumen_so_az9, KNE.kne_kreditvolumen_kommunal, KNE.kne_kreditvolumen_kreditkarten, 
KNE.kne_gesamtkreditvolumen_not, KNE.kne_meta_anteil_kreditvolumen, KNE.kne_meta_anteil_inanspruchnahme, 
KNE.kne_bewilligungsvolumen_neu, KN.KN, KN.KN_Identnr, KN.kn_name, KN.kn_berater, KN.kn_wv, KN.kn_wv_verbnr, 
KN.kn_beruf_branche, KN.kn_wirtschaftszweig, KN.kn_beruf, KN.kn_strasse, KN.kn_haus_nr, KN.kn_post_erg, 
KN.kn_postleit, KN.kn_ort, KN.kn_land, KN.kn_ortskenn, KN.kn_g_verb_s, 
CASE WHEN V.RGrund = 'KNE' THEN V.GBR_Quote ELSE NULL END AS kn_gbr_quote,
KN.kn_kundentyp, KN.kn_o_rechts, KN.kn_pers_art, KN.kn_pers_unterart, KN.kn_rechtl_s, KN.kn_kz_organ, 
KN.kn_kusydsgv, KN.kn_org_bankgrp_ausl, KN.kn_org_bankgrp_inl, KN.kn_org_einlagen_ki_kz, 
KN.kn_rating_methode, KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, 
KN.kn_rating_kennung_stp, KN.kn_rating_datum, [_tmpSegmente1Bis7].kn_kl_segment_1, 
[_tmpSegmente1Bis7].kn_kl_segment_2, [_tmpSegmente1Bis7].kn_kl_segment_3, 
[_tmpSegmente1Bis7].kn_kl_segment_4, [_tmpSegmente1Bis7].kn_kl_segment_5, 
[_tmpSegmente1Bis7].kn_kl_segment_6, [_tmpSegmente1Bis7].kn_kl_segment_7, 
KN.kn_bonitaet, KN.kn_risikoklasse, 
Round(kn.kn_saldo_umsatzlos*[GBR_Quote],0) AS kn_saldo_umsatzlos, 
KN.kn_kz_g_m_kred, 
Round(kn.kn_blankokreditvolumen_in*[GBR_Quote],0) AS kn_blankokreditvolumen_in, 
Round(kn.kn_blankokreditvolumen_wi*[GBR_Quote],0) AS kn_blankokreditvolumen_wi, 
Round(kn.kn_personalkreditvolumen_in*[GBR_Quote],0) AS kn_personalkreditvolumen_in, 
Round(kn.kn_personalkreditvolumen_wi*[GBR_Quote],0) AS kn_personalkreditvolumen_wi, 
Round(kn.kn_realkreditvolumen_in*[GBR_Quote],0) AS kn_realkreditvolumen_in, 
Round(kn.kn_realkreditvolumen_wi*[GBR_Quote],0) AS kn_realkreditvolumen_wi, 
Round(kn.kn_kommunalkreditvolumen_in*[GBR_Quote],0) AS kn_kommunalkreditvolumen_in, 
Round(kn.kn_kommunalkreditvolumen_wi*[GBR_Quote],0) AS kn_kommunalkreditvolumen_wi, 
Round(kn.kn_freier_anteil_in*[GBR_Quote],0) AS kn_freier_anteil_in, 
Round(kn.kn_freier_anteil_wi*[GBR_Quote],0) AS kn_freier_anteil_wi, 
Round(kn.KN_wirt_anteil_in*[GBR_Quote],0) AS KN_wirt_anteil_in, 
Round(kn.KN_wirt_anteil_wi*[GBR_Quote],0) AS KN_wirt_anteil_wi, 
Round(kn.kn_komp_anteil_in*[GBR_Quote],0) AS kn_komp_anteil_in, 
Round(kn.kn_komp_anteil_wi*[GBR_Quote],0) AS kn_komp_anteil_wi, 
Round(kn.kn_gesamtkreditvolumen*[GBR_Quote],0) AS kn_gesamtkreditvolumen, 
Round(kn.kn_bewilligtes_darlehen_az6_neu*[GBR_Quote],0) AS kn_bewilligtes_darlehen_az6_neu, 
Round(kn.kn_ueberziehung_90*[GBR_Quote],0) AS kn_ueberziehung_90, 
Round(kn.kn_gutschriftensumme_e_v*[GBR_Quote],0) AS kn_gutschriftensumme_e_v, 
Round(kn.kn_meta_anteil_inanspruchnahme*[GBR_Quote],0) AS kn_meta_anteil_inanspruchnahme, 
Round(kn.kn_meta_anteil_kreditvolumen*[GBR_Quote],0) AS kn_meta_anteil_kreditvolumen, 
Round(kn.kn_kreditvolumen_derivate*[GBR_Quote],0) AS kn_kreditvolumen_derivate, 
Round(kn.kn_kreditvolumen_wertpapiere*[GBR_Quote],0) AS kn_kreditvolumen_wertpapiere, 
Round(kn.kn_kreditvolumen_wp_leihe*[GBR_Quote],0) AS kn_kreditvolumen_wp_leihe, 
Round(kn.kn_kreditvolumen_geldhandel*[GBR_Quote],0) AS kn_kreditvolumen_geldhandel, 
Round(kn.kn_kreditvolumen_fw_kredite*[GBR_Quote],0) AS kn_kreditvolumen_fw_kredite, 
Round(kn.kn_kreditvolumen_akkreditive*[GBR_Quote],0) AS kn_kreditvolumen_akkreditive, 
Round(kn.kn_kreditvolumen_beteiligung*[GBR_Quote],0) AS kn_kreditvolumen_beteiligung, 
Round(kn.kn_kreditvolumen_so_az9*[GBR_Quote],0) AS kn_kreditvolumen_so_az9, 
Round(kn.kn_kreditvolumen_kreditkarten*[GBR_Quote],0) AS kn_kreditvolumen_kreditkarten, 
Round(kn.kn_kreditvolumen_az2*[GBR_Quote],0) AS KN_Kreditvolumen_az2, 
Round(kn.kn_passiv_az2_3_4_9*[GBR_Quote],0) AS kn_passiv_az2_3_4_9, 
Round(kn.kn_passiv_depot*[GBR_Quote],0) AS kn_passiv_depot, 
Round(kn.kn_bew_rahmen_le*[GBR_Quote],0) AS kn_bew_rahmen_le, 
Round(kn.kn_labile_sicherheiten*[GBR_Quote],0) AS kn_labile_sicherheiten, 
Round(kn.kn_sicherheiten_uebereignung*[GBR_Quote],0) AS kn_sicherheiten_uebereignung, 
Round(kn.kn_zessionen*[GBR_Quote],0) AS kn_zessionen, 
Round(kn.kn_buergschaften*[GBR_Quote],0) AS kn_buergschaften, 
K.KontoNr, K.kto_kz_k_s, K.kto_geschaeftsart_depot_a, K.kto_skontronr, K.kto_kontobezeichnung_depot_a, 
K.kto_gp_key, K.kto_gp_variante, K.kto_kontentyp, K.kto_kreditart, K.kto_datum_eroeffnung, 
Round(K.kto_gesamtkreditvolumen*[GBR_Quote],0) AS kto_gesamtkreditvolumen, 
Round(k.kto_saldo*[GBR_Quote],0) AS kto_saldo, 
Round(k.kto_inanspruchnahme*[GBR_Quote],0) AS kto_inanspruchnahme, 
Round(k.kto_ueberziehung*[GBR_Quote],0) AS kto_ueberziehung, 
Round(k.kto_externer_kredit*[GBR_Quote],0) AS kto_externer_kredit, K.kto_bewilligungs_datum, 
K.kto_befristung_datum, Round(k.kto_interner_kredit*[GBR_Quote],0) AS kto_interner_kredit, 
K.kto_interner_kredit_bis, Round(k.kto_ueberziehung_genehmigt*[GBR_Quote],0) AS kto_ueberziehung_genehmigt, 
K.kto_ueberziehung_genehmigt_bis, K.kto_ueberz_hoechste_quartal_1, K.kto_ueberz_hoechste_quartal_2, 
K.kto_ueberz_hoechste_quartal_3, K.kto_ueberz_hoechste_quartal_4, K.kto_ueberziehungstage, 
K.kto_ueberziehungsdatum_ab, Round(k.kto_ueberziehung_m_ev*[GBR_Quote],0) AS kto_ueberziehung_m_ev, 
Round(k.kto_ueberziehung_o_ev*[GBR_Quote],0) AS kto_ueberziehung_o_ev, K.kto_zinssatz, K.kto_ab_merkmal, 
K.kto_kz_notleidend, K.kto_mindestr, K.kto_kreditkartennummer, 
Round(k.kto_offene_zusage*[GBR_Quote],0) AS kto_offene_zusage, 
Round(k.kto_bewilligtes_darlehen*[GBR_Quote],0) AS kto_bewilligtes_darlehen, 
Round(k.kto_tilgung_3*[GBR_Quote],0) AS kto_tilgung_3, 
Round(k.kto_tilgung_4_12*[GBR_Quote],0) AS kto_tilgung_4_12, 
Round(k.kto_tilgung_13_60*[GBR_Quote],0) AS kto_tilgung_13_60, 
Round(k.kto_tilgung_61*[GBR_Quote],0) AS kto_tilgung_61, 
Round(k.kto_verzug_entgelt*[GBR_Quote],0) AS kto_verzug_entgelt, 
Round(k.kto_verzug_verzinslich*[GBR_Quote],0) AS kto_verzug_verzinslich, 
Round(k.kto_verzug_unverzinslich*[GBR_Quote],0) AS kto_verzug_unverzinslich, 
Round(k.kto_vorauszahlung*[GBR_Quote],0) AS kto_vorauszahlung, K.kto_mahnstand, 
Round(k.kto_rueckgabenbetrag*[GBR_Quote],0) AS kto_rueckgabenbetrag, K.kto_rueckgabenanzahl, 
K.kto_aval_art, K.kto_aval_einzelbe, K.kto_aval_rahmenkontonr, K.kto_avalkred_betrag, 
Round(k.kto_meta_anteil_kreditvolumen*[GBR_Quote],0) AS kto_meta_anteil_kreditvolumen, 
Round(k.kto_meta_anteil_inanspruchnahme*[GBR_Quote],0) AS kto_meta_anteil_inanspruchnahme, 
K.kto_anzahl_sicherheiten, K.kto_summe_sicherheiten, K.kto_monatliche_Habenumsaetze, 
K.kto_habenumsatz_lfd_jahr, K.kto_habenumsatz_vorjahr, K.kto_haben_umsatz_vq_1, 
K.kto_haben_umsatz_vq_2, K.kto_haben_umsatz_vq_3, K.kto_haben_umsatz_vq_4, [_tmpVB1Bis5].kto_Verfuegung1, 
[_tmpVB1Bis5].kto_Verfuegung2, [_tmpVB1Bis5].kto_Verfuegung3, [_tmpVB1Bis5].kto_Verfuegung4, 
[_tmpVB1Bis5].kto_Verfuegung5, Round(k.kto_sperr_be*[GBR_Quote],0) AS kto_sperr_be, 
Round(k.kto_ewb_e*[GBR_Quote],0) AS kto_ewb_e, K.kto_ewb_e_datum, K.kto_ewb_e_jahr, K.kto_ewb_e_waehrung, 
K.kto_ewb_e_ermg_verf, K.kto_ewb_e_daten_ursprung, 
Round(k.kto_ewb_e_btrg_janf*[GBR_Quote],0) AS kto_ewb_e_btrg_janf, 
Round(k.kto_ewb_e_btrg_man*[GBR_Quote],0) AS kto_ewb_e_btrg_man, 
Round(k.kto_ewb_e_btrg_neu*[GBR_Quote],0) AS kto_ewb_e_btrg_neu, 
Round(k.kto_ewb_e_btrg_zugang*[GBR_Quote],0) AS kto_ewb_e_btrg_zugang, 
Round(k.kto_ewb_e_btrg_blanko*[GBR_Quote],0) AS kto_ewb_e_btrg_blanko, 
Round(k.kto_ewb_e_afls_btrg*[GBR_Quote],0) AS kto_ewb_e_afls_btrg, 
Round(k.kto_ewb_e_absg_ind_btrg*[GBR_Quote],0) AS kto_ewb_e_absg_ind_btrg, 
Round(k.kto_ewb_e_absg_dir_btrg*[GBR_Quote],0) AS kto_ewb_e_absg_dir_btrg, 
Round(k.kto_ewb_v*[GBR_Quote],0) AS kto_ewb_v, K.kto_ewb_v_datum, K.kto_ewb_v_jahr, K.kto_ewb_v_waehrung, 
K.kto_ewb_v_ermg_verf, K.kto_ewb_v_daten_ursprung, 
Round(k.kto_ewb_v_btrg_janf*[GBR_Quote],0) AS kto_ewb_v_btrg_janf, 
Round(k.kto_ewb_v_btrg_man*[GBR_Quote],0) AS kto_ewb_v_btrg_man, K.kto_ewb_v_btrg_neu, 
Round(k.kto_ewb_v_btrg_zugang*[GBR_Quote],0) AS kto_ewb_v_btrg_zugang, 
Round(k.kto_ewb_v_btrg_blanko*[GBR_Quote],0) AS kto_ewb_v_btrg_blanko, 
Round(k.kto_ewb_v_afls_btrg*[GBR_Quote],0) AS kto_ewb_v_afls_btrg, 
Round(k.kto_ewb_v_absg_ind_btrg*[GBR_Quote],0) AS kto_ewb_v_absg_ind_btrg, 
Round(k.kto_ewb_v_absg_dir_btrg*[GBR_Quote],0) AS kto_ewb_v_absg_dir_btrg,
round(k.kto_rk_betrag*[GBR_Quote],0) as kto_rk_betrag,
round(k.kto_rk_offene_zusage*[GBR_Quote],0) as kto_rk_offene_zusage,
k.kto_rk_kz, k.kto_rk_ts,kn.kn_verbund_art,kn_geko9513_gueltig_ab,
KNE.kne_gewichtete_Bonitaet, KN.KN_WARN_1210, KN.KN_WARN_1310, KN.KN_WARN_1425,
KN.KN_WARN_1435, KN.KN_WARN_1455, KN.KN_WARN_1510, KN.KN_WARN_1530, 
KN.KN_WARN_7000, KN.KN_WARN_7001, KN.KN_WARN_7002, KN.KN_WARN_7003, KN.KN_WARN_7004, 
KN.KN_WARN_7008, KN.KN_WARN_7017, KN.KN_WARN_7021, KN.KN_WARN_7029, KN.KN_WARN_7031, kn.KN_KUSYDSGV20 
FROM  _tmpAuswahl as T INNER JOIN tabKreditnehmereinheit AS KNE ON T.KNEID = KNE.KNEID INNER JOIN 
      tabKreditnehmer AS KN INNER JOIN
      tabKN_Risiko AS V ON KN.KNID = V.KNID ON KNE.KNEID = V.KNEID LEFT OUTER JOIN
      _tmpSegmente1Bis7 ON KN.KNID = _tmpSegmente1Bis7.KNID LEFT OUTER JOIN
      tabKonto AS K ON KN.KNID = K.KNID LEFT OUTER JOIN
      _tmpVB1Bis5 ON K.KontoID = _tmpVB1Bis5.KontoID
where T.SPID = @SPID and T.BDate = @BDate and t.INR = @InstNR 
)

GO

ALTER FUNCTION [dbo].[getAnzahlAktiveFilter]
(
	-- Add the parameters for the function here
	@KNEID nvarchar(24),
	@SPID int 
)
RETURNS int 
AS
BEGIN
return 
(SELECT        COUNT(tabKNEFilter.INR) AS AnzahlKNEFID
FROM            tabKNEFilter INNER JOIN
                         tabFilter ON tabKNEFilter.Filter = tabFilter.FID AND tabKNEFilter.SPID = tabFilter.SPID
WHERE        (tabFilter.Aktiv = 1) AND (tabFilter.EWBFilter = 0) AND (tabKNEFilter.KNEID = @KNEID) AND (tabKNEFilter.SPID = @SPID)
GROUP BY tabKNEFilter.SPID, tabKNEFilter.KNEID)
END
GO

ALTER PROCEDURE [dbo].[spEndkontrolleDruck] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT KNE.Bdate, dbo.getAuswahlstatus(kne.kneid, @SPID) as Auswahl, KNE.KNE, KNE.KNE_Name, tabKNEFilter.EDATE, 
       KNE.kne_berater, F.Filtername, KNE.kne_gesamtkreditvolumen, KNE.kne_Inanspruchnahme
FROM tabKreditnehmereinheit AS KNE INNER JOIN 
     _tmpAuswahl as T ON KNE.kneid = T.kneid inner join 
    (tabKNEFilter INNER JOIN tabFilter AS F ON tabKNEFilter.Filter = F.FID AND F.SPID = tabKNEFilter.SPID) 
     ON KNE.KNEID = tabKNEFilter.KNEID
WHERE t.BDate = @BDate and t.INR = @instnr and t.SPID = @SPID
ORDER BY KNE.KNE;
END
GO

ALTER PROCEDURE [dbo].[spEndkontrolleDruck] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT KNE.Bdate, dbo.getAuswahlstatus(kne.kneid, @SPID) as Auswahl, KNE.KNE, KNE.KNE_Name, tabKNEFilter.EDATE, 
       KNE.kne_berater, F.Filtername, KNE.kne_gesamtkreditvolumen, KNE.kne_Inanspruchnahme
FROM tabKreditnehmereinheit AS KNE INNER JOIN 
     _tmpAuswahl as T ON KNE.kneid = T.kneid inner join 
    (tabKNEFilter INNER JOIN tabFilter AS F ON tabKNEFilter.Filter = F.FID AND F.SPID = tabKNEFilter.SPID) 
     ON KNE.KNEID = tabKNEFilter.KNEID
WHERE t.BDate = @BDate and t.INR = @instnr and t.SPID = @SPID
ORDER BY KNE.KNE;
END
GO

ALTER PROCEDURE [dbo].[spEinzelExportXLS] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT KNE.INR, KNE.BLZ, KNE.Bdate AS Bestandsdatum, KNE.KNE, KNE.kne_identnr, KNE.kne_wv, 
KNE.kne_wv_verbnr, KNE.kne_berater, KNE.kne_beruf_branche, KNE.kne_gesamtkreditvolumen, 
KNE.kne_kreditvolumen_az01, KNE.KNE_Kreditvolumen_az2, KNE.kne_kreditvolumen_az5, 
KNE.kne_kreditvolumen_az6, KNE.kne_kreditvolumen_az7, KNE.kne_kreditvolumen_derivate, 
KNE.kne_kreditvolumen_wertpapiere, KNE.kne_kreditvolumen_fw_kredite, KNE.kne_kreditvolumen_geldhandel, 
KNE.kne_kreditvolumen_wp_leihe, KNE.kne_kreditvolumen_akkreditive, KNE.kne_kreditvolumen_beteiligung, 
KNE.kne_kreditvolumen_so_az9, KNE.kne_kreditvolumen_kommunal, KNE.kne_kreditvolumen_kreditkarten, 
KNE.kne_gesamtkreditvolumen_not, KNE.kne_meta_anteil_kreditvolumen, KNE.kne_meta_anteil_inanspruchnahme, 
KNE.kne_bewilligungsvolumen_neu, KN.KN, KN.KN_Identnr, KN.kn_name, KN.kn_berater, KN.kn_wv, KN.kn_wv_verbnr, 
KN.kn_beruf_branche, KN.kn_wirtschaftszweig, KN.kn_beruf, KN.kn_strasse, KN.kn_haus_nr, KN.kn_post_erg, 
KN.kn_postleit, KN.kn_ort, KN.kn_land, KN.kn_ortskenn, KN.kn_g_verb_s, V.GBR_Quote AS kn_gbr_quote, 
KN.kn_kundentyp, KN.kn_o_rechts, KN.kn_pers_art, KN.kn_pers_unterart, KN.kn_rechtl_s, KN.kn_kz_organ, 
KN.kn_kusydsgv, KN.kn_org_bankgrp_ausl, KN.kn_org_bankgrp_inl, KN.kn_org_einlagen_ki_kz, 
KN.kn_rating_methode, KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, 
KN.kn_rating_kennung_stp, KN.kn_rating_datum, [_tmpSegmente1Bis7].kn_kl_segment_1, 
[_tmpSegmente1Bis7].kn_kl_segment_2, [_tmpSegmente1Bis7].kn_kl_segment_3, 
[_tmpSegmente1Bis7].kn_kl_segment_4, [_tmpSegmente1Bis7].kn_kl_segment_5, 
[_tmpSegmente1Bis7].kn_kl_segment_6, [_tmpSegmente1Bis7].kn_kl_segment_7, 
KN.kn_bonitaet, KN.kn_risikoklasse, 
Round(kn.kn_saldo_umsatzlos*[GBR_Quote],0) AS kn_saldo_umsatzlos, 
KN.kn_kz_g_m_kred, 
Round(kn.kn_blankokreditvolumen_in*[GBR_Quote],0) AS kn_blankokreditvolumen_in, 
Round(kn.kn_blankokreditvolumen_wi*[GBR_Quote],0) AS kn_blankokreditvolumen_wi, 
Round(kn.kn_personalkreditvolumen_in*[GBR_Quote],0) AS kn_personalkreditvolumen_in, 
Round(kn.kn_personalkreditvolumen_wi*[GBR_Quote],0) AS kn_personalkreditvolumen_wi, 
Round(kn.kn_realkreditvolumen_in*[GBR_Quote],0) AS kn_realkreditvolumen_in, 
Round(kn.kn_realkreditvolumen_wi*[GBR_Quote],0) AS kn_realkreditvolumen_wi, 
Round(kn.kn_kommunalkreditvolumen_in*[GBR_Quote],0) AS kn_kommunalkreditvolumen_in, 
Round(kn.kn_kommunalkreditvolumen_wi*[GBR_Quote],0) AS kn_kommunalkreditvolumen_wi, 
Round(kn.kn_freier_anteil_in*[GBR_Quote],0) AS kn_freier_anteil_in, 
Round(kn.kn_freier_anteil_wi*[GBR_Quote],0) AS kn_freier_anteil_wi, 
Round(kn.KN_wirt_anteil_in*[GBR_Quote],0) AS KN_wirt_anteil_in, 
Round(kn.KN_wirt_anteil_wi*[GBR_Quote],0) AS KN_wirt_anteil_wi, 
Round(kn.kn_komp_anteil_in*[GBR_Quote],0) AS kn_komp_anteil_in, 
Round(kn.kn_komp_anteil_wi*[GBR_Quote],0) AS kn_komp_anteil_wi, 
Round(kn.kn_gesamtkreditvolumen*[GBR_Quote],0) AS kn_gesamtkreditvolumen, 
Round(kn.kn_bewilligtes_darlehen_az6_neu*[GBR_Quote],0) AS kn_bewilligtes_darlehen_az6_neu, 
Round(kn.kn_ueberziehung_90*[GBR_Quote],0) AS kn_ueberziehung_90, 
Round(kn.kn_gutschriftensumme_e_v*[GBR_Quote],0) AS kn_gutschriftensumme_e_v, 
Round(kn.kn_meta_anteil_inanspruchnahme*[GBR_Quote],0) AS kn_meta_anteil_inanspruchnahme, 
Round(kn.kn_meta_anteil_kreditvolumen*[GBR_Quote],0) AS kn_meta_anteil_kreditvolumen, 
Round(kn.kn_kreditvolumen_derivate*[GBR_Quote],0) AS kn_kreditvolumen_derivate, 
Round(kn.kn_kreditvolumen_wertpapiere*[GBR_Quote],0) AS kn_kreditvolumen_wertpapiere, 
Round(kn.kn_kreditvolumen_wp_leihe*[GBR_Quote],0) AS kn_kreditvolumen_wp_leihe, 
Round(kn.kn_kreditvolumen_geldhandel*[GBR_Quote],0) AS kn_kreditvolumen_geldhandel, 
Round(kn.kn_kreditvolumen_fw_kredite*[GBR_Quote],0) AS kn_kreditvolumen_fw_kredite, 
Round(kn.kn_kreditvolumen_akkreditive*[GBR_Quote],0) AS kn_kreditvolumen_akkreditive, 
Round(kn.kn_kreditvolumen_beteiligung*[GBR_Quote],0) AS kn_kreditvolumen_beteiligung, 
Round(kn.kn_kreditvolumen_so_az9*[GBR_Quote],0) AS kn_kreditvolumen_so_az9, 
Round(kn.kn_kreditvolumen_kreditkarten*[GBR_Quote],0) AS kn_kreditvolumen_kreditkarten, 
Round(kn.kn_kreditvolumen_az2*[GBR_Quote],0) AS KN_Kreditvolumen_az2, 
Round(kn.kn_passiv_az2_3_4_9*[GBR_Quote],0) AS kn_passiv_az2_3_4_9, 
Round(kn.kn_passiv_depot*[GBR_Quote],0) AS kn_passiv_depot, 
Round(kn.kn_bew_rahmen_le*[GBR_Quote],0) AS kn_bew_rahmen_le, 
Round(kn.kn_labile_sicherheiten*[GBR_Quote],0) AS kn_labile_sicherheiten, 
Round(kn.kn_sicherheiten_uebereignung*[GBR_Quote],0) AS kn_sicherheiten_uebereignung, 
Round(kn.kn_zessionen*[GBR_Quote],0) AS kn_zessionen, 
Round(kn.kn_buergschaften*[GBR_Quote],0) AS kn_buergschaften, 
K.KontoNr, K.kto_kz_k_s, K.kto_geschaeftsart_depot_a, K.kto_skontronr, K.kto_kontobezeichnung_depot_a, 
K.kto_gp_key, K.kto_gp_variante, K.kto_kontentyp, K.kto_kreditart, K.kto_datum_eroeffnung, 
Round(K.kto_gesamtkreditvolumen*[GBR_Quote],0) AS kto_gesamtkreditvolumen, 
Round(k.kto_saldo*[GBR_Quote],0) AS kto_saldo, 
Round(k.kto_inanspruchnahme*[GBR_Quote],0) AS kto_inanspruchnahme, 
Round(k.kto_ueberziehung*[GBR_Quote],0) AS kto_ueberziehung, 
Round(k.kto_externer_kredit*[GBR_Quote],0) AS kto_externer_kredit, K.kto_bewilligungs_datum, 
K.kto_befristung_datum, Round(k.kto_interner_kredit*[GBR_Quote],0) AS kto_interner_kredit, 
K.kto_interner_kredit_bis, Round(k.kto_ueberziehung_genehmigt*[GBR_Quote],0) AS kto_ueberziehung_genehmigt, 
K.kto_ueberziehung_genehmigt_bis, K.kto_ueberz_hoechste_quartal_1, K.kto_ueberz_hoechste_quartal_2, 
K.kto_ueberz_hoechste_quartal_3, K.kto_ueberz_hoechste_quartal_4, K.kto_ueberziehungstage, 
K.kto_ueberziehungsdatum_ab, Round(k.kto_ueberziehung_m_ev*[GBR_Quote],0) AS kto_ueberziehung_m_ev, 
Round(k.kto_ueberziehung_o_ev*[GBR_Quote],0) AS kto_ueberziehung_o_ev, K.kto_zinssatz, K.kto_ab_merkmal, 
K.kto_kz_notleidend, K.kto_mindestr, K.kto_kreditkartennummer, 
Round(k.kto_offene_zusage*[GBR_Quote],0) AS kto_offene_zusage, 
Round(k.kto_bewilligtes_darlehen*[GBR_Quote],0) AS kto_bewilligtes_darlehen, 
Round(k.kto_tilgung_3*[GBR_Quote],0) AS kto_tilgung_3, 
Round(k.kto_tilgung_4_12*[GBR_Quote],0) AS kto_tilgung_4_12, 
Round(k.kto_tilgung_13_60*[GBR_Quote],0) AS kto_tilgung_13_60, 
Round(k.kto_tilgung_61*[GBR_Quote],0) AS kto_tilgung_61, 
Round(k.kto_verzug_entgelt*[GBR_Quote],0) AS kto_verzug_entgelt, 
Round(k.kto_verzug_verzinslich*[GBR_Quote],0) AS kto_verzug_verzinslich, 
Round(k.kto_verzug_unverzinslich*[GBR_Quote],0) AS kto_verzug_unverzinslich, 
Round(k.kto_vorauszahlung*[GBR_Quote],0) AS kto_vorauszahlung, K.kto_mahnstand, 
Round(k.kto_rueckgabenbetrag*[GBR_Quote],0) AS kto_rueckgabenbetrag, K.kto_rueckgabenanzahl, 
K.kto_aval_art, K.kto_aval_einzelbe, K.kto_aval_rahmenkontonr, K.kto_avalkred_betrag, 
Round(k.kto_meta_anteil_kreditvolumen*[GBR_Quote],0) AS kto_meta_anteil_kreditvolumen, 
Round(k.kto_meta_anteil_inanspruchnahme*[GBR_Quote],0) AS kto_meta_anteil_inanspruchnahme, 
K.kto_anzahl_sicherheiten, K.kto_summe_sicherheiten, K.kto_monatliche_Habenumsaetze, 
K.kto_habenumsatz_lfd_jahr, K.kto_habenumsatz_vorjahr, K.kto_haben_umsatz_vq_1, 
K.kto_haben_umsatz_vq_2, K.kto_haben_umsatz_vq_3, K.kto_haben_umsatz_vq_4, [_tmpVB1Bis5].kto_Verfuegung1, 
[_tmpVB1Bis5].kto_Verfuegung2, [_tmpVB1Bis5].kto_Verfuegung3, [_tmpVB1Bis5].kto_Verfuegung4, 
[_tmpVB1Bis5].kto_Verfuegung5, Round(k.kto_sperr_be*[GBR_Quote],0) AS kto_sperr_be, 
Round(k.kto_ewb_e*[GBR_Quote],0) AS kto_ewb_e, K.kto_ewb_e_datum, K.kto_ewb_e_jahr, K.kto_ewb_e_waehrung, 
K.kto_ewb_e_ermg_verf, K.kto_ewb_e_daten_ursprung, 
Round(k.kto_ewb_e_btrg_janf*[GBR_Quote],0) AS kto_ewb_e_btrg_janf, 
Round(k.kto_ewb_e_btrg_man*[GBR_Quote],0) AS kto_ewb_e_btrg_man, 
Round(k.kto_ewb_e_btrg_neu*[GBR_Quote],0) AS kto_ewb_e_btrg_neu, 
Round(k.kto_ewb_e_btrg_zugang*[GBR_Quote],0) AS kto_ewb_e_btrg_zugang, 
Round(k.kto_ewb_e_btrg_blanko*[GBR_Quote],0) AS kto_ewb_e_btrg_blanko, 
Round(k.kto_ewb_e_afls_btrg*[GBR_Quote],0) AS kto_ewb_e_afls_btrg, 
Round(k.kto_ewb_e_absg_ind_btrg*[GBR_Quote],0) AS kto_ewb_e_absg_ind_btrg, 
Round(k.kto_ewb_e_absg_dir_btrg*[GBR_Quote],0) AS kto_ewb_e_absg_dir_btrg, 
Round(k.kto_ewb_v*[GBR_Quote],0) AS kto_ewb_v, K.kto_ewb_v_datum, K.kto_ewb_v_jahr, K.kto_ewb_v_waehrung, 
K.kto_ewb_v_ermg_verf, K.kto_ewb_v_daten_ursprung, 
Round(k.kto_ewb_v_btrg_janf*[GBR_Quote],0) AS kto_ewb_v_btrg_janf, 
Round(k.kto_ewb_v_btrg_man*[GBR_Quote],0) AS kto_ewb_v_btrg_man, K.kto_ewb_v_btrg_neu, 
Round(k.kto_ewb_v_btrg_zugang*[GBR_Quote],0) AS kto_ewb_v_btrg_zugang, 
Round(k.kto_ewb_v_btrg_blanko*[GBR_Quote],0) AS kto_ewb_v_btrg_blanko, 
Round(k.kto_ewb_v_afls_btrg*[GBR_Quote],0) AS kto_ewb_v_afls_btrg, 
Round(k.kto_ewb_v_absg_ind_btrg*[GBR_Quote],0) AS kto_ewb_v_absg_ind_btrg, 
Round(k.kto_ewb_v_absg_dir_btrg*[GBR_Quote],0) AS kto_ewb_v_absg_dir_btrg,
round(k.kto_rk_betrag*[GBR_Quote],0) as kto_rk_betrag,
round(k.kto_rk_offene_zusage*[GBR_Quote],0) as kto_rk_offene_zusage,
k.kto_rk_kz, k.kto_rk_ts,kn.kn_verbund_art,kn_geko9513_gueltig_ab,
KNE.kne_gewichtete_Bonitaet, KN.KN_WARN_1210, KN.KN_WARN_1310, KN.KN_WARN_1425,
KN.KN_WARN_1435, KN.KN_WARN_1455, KN.KN_WARN_1510, KN.KN_WARN_1530, 
KN.KN_WARN_7000, KN.KN_WARN_7001, KN.KN_WARN_7002, KN.KN_WARN_7003, KN.KN_WARN_7004, 
KN.KN_WARN_7008, KN.KN_WARN_7017, KN.KN_WARN_7021, KN.KN_WARN_7029, KN.KN_WARN_7031, KN.KN_KUSYDSGV20 
FROM  _tmpAuswahl as T inner join tabKreditnehmereinheit AS KNE ON T.KNEID = KNE.KNEID 
      INNER JOIN tabKreditnehmer AS KN INNER JOIN
      tab_KNE_KN AS V ON KN.KNID = V.KNID ON KNE.KNEID = V.KNEID LEFT OUTER JOIN
      _tmpSegmente1Bis7 ON KN.KNID = _tmpSegmente1Bis7.KNID LEFT OUTER JOIN
      tabKonto AS K ON KN.KNID = K.KNID LEFT OUTER JOIN
      _tmpVB1Bis5 ON K.KontoID = _tmpVB1Bis5.KontoID
where T.SPID = @SPID and T.BDate = @BDate and T.INR = @InstNR; 
END
GO


ALTER PROCEDURE [dbo].[spEinzelExportREXLS] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
	AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT KNE.INR, KNE.BLZ, KNE.Bdate AS Bestandsdatum, KNE.KNE, KNE.kne_identnr, KNE.kne_wv, 
KNE.kne_wv_verbnr, KNE.kne_berater, KNE.kne_beruf_branche, KNE.kne_gesamtkreditvolumen, 
KNE.kne_kreditvolumen_az01, KNE.KNE_Kreditvolumen_az2, KNE.kne_kreditvolumen_az5, 
KNE.kne_kreditvolumen_az6, KNE.kne_kreditvolumen_az7, KNE.kne_kreditvolumen_derivate, 
KNE.kne_kreditvolumen_wertpapiere, KNE.kne_kreditvolumen_fw_kredite, KNE.kne_kreditvolumen_geldhandel, 
KNE.kne_kreditvolumen_wp_leihe, KNE.kne_kreditvolumen_akkreditive, KNE.kne_kreditvolumen_beteiligung, 
KNE.kne_kreditvolumen_so_az9, KNE.kne_kreditvolumen_kommunal, KNE.kne_kreditvolumen_kreditkarten, 
KNE.kne_gesamtkreditvolumen_not, KNE.kne_meta_anteil_kreditvolumen, KNE.kne_meta_anteil_inanspruchnahme, 
KNE.kne_bewilligungsvolumen_neu, KN.KN, KN.KN_Identnr, KN.kn_name, KN.kn_berater, KN.kn_wv, KN.kn_wv_verbnr, 
KN.kn_beruf_branche, KN.kn_wirtschaftszweig, KN.kn_beruf, KN.kn_strasse, KN.kn_haus_nr, KN.kn_post_erg, 
KN.kn_postleit, KN.kn_ort, KN.kn_land, KN.kn_ortskenn, KN.kn_g_verb_s, 
CASE WHEN V.RGrund = 'KNE' THEN V.GBR_Quote ELSE NULL END AS kn_gbr_quote, 
KN.kn_kundentyp, KN.kn_o_rechts, KN.kn_pers_art, KN.kn_pers_unterart, KN.kn_rechtl_s, KN.kn_kz_organ, 
KN.kn_kusydsgv, KN.kn_org_bankgrp_ausl, KN.kn_org_bankgrp_inl, KN.kn_org_einlagen_ki_kz, 
KN.kn_rating_methode, KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, 
KN.kn_rating_kennung_stp, KN.kn_rating_datum, [_tmpSegmente1Bis7].kn_kl_segment_1, 
[_tmpSegmente1Bis7].kn_kl_segment_2, [_tmpSegmente1Bis7].kn_kl_segment_3, 
[_tmpSegmente1Bis7].kn_kl_segment_4, [_tmpSegmente1Bis7].kn_kl_segment_5, 
[_tmpSegmente1Bis7].kn_kl_segment_6, [_tmpSegmente1Bis7].kn_kl_segment_7, 
KN.kn_bonitaet, KN.kn_risikoklasse, 
Round(kn.kn_saldo_umsatzlos*[GBR_Quote],0) AS kn_saldo_umsatzlos, 
KN.kn_kz_g_m_kred, 
Round(kn.kn_blankokreditvolumen_in*[GBR_Quote],0) AS kn_blankokreditvolumen_in, 
Round(kn.kn_blankokreditvolumen_wi*[GBR_Quote],0) AS kn_blankokreditvolumen_wi, 
Round(kn.kn_personalkreditvolumen_in*[GBR_Quote],0) AS kn_personalkreditvolumen_in, 
Round(kn.kn_personalkreditvolumen_wi*[GBR_Quote],0) AS kn_personalkreditvolumen_wi, 
Round(kn.kn_realkreditvolumen_in*[GBR_Quote],0) AS kn_realkreditvolumen_in, 
Round(kn.kn_realkreditvolumen_wi*[GBR_Quote],0) AS kn_realkreditvolumen_wi, 
Round(kn.kn_kommunalkreditvolumen_in*[GBR_Quote],0) AS kn_kommunalkreditvolumen_in, 
Round(kn.kn_kommunalkreditvolumen_wi*[GBR_Quote],0) AS kn_kommunalkreditvolumen_wi, 
Round(kn.kn_freier_anteil_in*[GBR_Quote],0) AS kn_freier_anteil_in, 
Round(kn.kn_freier_anteil_wi*[GBR_Quote],0) AS kn_freier_anteil_wi, 
Round(kn.KN_wirt_anteil_in*[GBR_Quote],0) AS KN_wirt_anteil_in, 
Round(kn.KN_wirt_anteil_wi*[GBR_Quote],0) AS KN_wirt_anteil_wi, 
Round(kn.kn_komp_anteil_in*[GBR_Quote],0) AS kn_komp_anteil_in, 
Round(kn.kn_komp_anteil_wi*[GBR_Quote],0) AS kn_komp_anteil_wi, 
Round(kn.kn_gesamtkreditvolumen*[GBR_Quote],0) AS kn_gesamtkreditvolumen, 
Round(kn.kn_bewilligtes_darlehen_az6_neu*[GBR_Quote],0) AS kn_bewilligtes_darlehen_az6_neu, 
Round(kn.kn_ueberziehung_90*[GBR_Quote],0) AS kn_ueberziehung_90, 
Round(kn.kn_gutschriftensumme_e_v*[GBR_Quote],0) AS kn_gutschriftensumme_e_v, 
Round(kn.kn_meta_anteil_inanspruchnahme*[GBR_Quote],0) AS kn_meta_anteil_inanspruchnahme, 
Round(kn.kn_meta_anteil_kreditvolumen*[GBR_Quote],0) AS kn_meta_anteil_kreditvolumen, 
Round(kn.kn_kreditvolumen_derivate*[GBR_Quote],0) AS kn_kreditvolumen_derivate, 
Round(kn.kn_kreditvolumen_wertpapiere*[GBR_Quote],0) AS kn_kreditvolumen_wertpapiere, 
Round(kn.kn_kreditvolumen_wp_leihe*[GBR_Quote],0) AS kn_kreditvolumen_wp_leihe, 
Round(kn.kn_kreditvolumen_geldhandel*[GBR_Quote],0) AS kn_kreditvolumen_geldhandel, 
Round(kn.kn_kreditvolumen_fw_kredite*[GBR_Quote],0) AS kn_kreditvolumen_fw_kredite, 
Round(kn.kn_kreditvolumen_akkreditive*[GBR_Quote],0) AS kn_kreditvolumen_akkreditive, 
Round(kn.kn_kreditvolumen_beteiligung*[GBR_Quote],0) AS kn_kreditvolumen_beteiligung, 
Round(kn.kn_kreditvolumen_so_az9*[GBR_Quote],0) AS kn_kreditvolumen_so_az9, 
Round(kn.kn_kreditvolumen_kreditkarten*[GBR_Quote],0) AS kn_kreditvolumen_kreditkarten, 
Round(kn.kn_kreditvolumen_az2*[GBR_Quote],0) AS KN_Kreditvolumen_az2, 
Round(kn.kn_passiv_az2_3_4_9*[GBR_Quote],0) AS kn_passiv_az2_3_4_9, 
Round(kn.kn_passiv_depot*[GBR_Quote],0) AS kn_passiv_depot, 
Round(kn.kn_bew_rahmen_le*[GBR_Quote],0) AS kn_bew_rahmen_le, 
Round(kn.kn_labile_sicherheiten*[GBR_Quote],0) AS kn_labile_sicherheiten, 
Round(kn.kn_sicherheiten_uebereignung*[GBR_Quote],0) AS kn_sicherheiten_uebereignung, 
Round(kn.kn_zessionen*[GBR_Quote],0) AS kn_zessionen, 
Round(kn.kn_buergschaften*[GBR_Quote],0) AS kn_buergschaften, 
K.KontoNr, K.kto_kz_k_s, K.kto_geschaeftsart_depot_a, K.kto_skontronr, K.kto_kontobezeichnung_depot_a, 
K.kto_gp_key, K.kto_gp_variante, K.kto_kontentyp, K.kto_kreditart, K.kto_datum_eroeffnung, 
Round(K.kto_gesamtkreditvolumen*[GBR_Quote],0) AS kto_gesamtkreditvolumen, 
Round(k.kto_saldo*[GBR_Quote],0) AS kto_saldo, 
Round(k.kto_inanspruchnahme*[GBR_Quote],0) AS kto_inanspruchnahme, 
Round(k.kto_ueberziehung*[GBR_Quote],0) AS kto_ueberziehung, 
Round(k.kto_externer_kredit*[GBR_Quote],0) AS kto_externer_kredit, K.kto_bewilligungs_datum, 
K.kto_befristung_datum, Round(k.kto_interner_kredit*[GBR_Quote],0) AS kto_interner_kredit, 
K.kto_interner_kredit_bis, Round(k.kto_ueberziehung_genehmigt*[GBR_Quote],0) AS kto_ueberziehung_genehmigt, 
K.kto_ueberziehung_genehmigt_bis, K.kto_ueberz_hoechste_quartal_1, K.kto_ueberz_hoechste_quartal_2, 
K.kto_ueberz_hoechste_quartal_3, K.kto_ueberz_hoechste_quartal_4, K.kto_ueberziehungstage, 
K.kto_ueberziehungsdatum_ab, Round(k.kto_ueberziehung_m_ev*[GBR_Quote],0) AS kto_ueberziehung_m_ev, 
Round(k.kto_ueberziehung_o_ev*[GBR_Quote],0) AS kto_ueberziehung_o_ev, K.kto_zinssatz, K.kto_ab_merkmal, 
K.kto_kz_notleidend, K.kto_mindestr, K.kto_kreditkartennummer, 
Round(k.kto_offene_zusage*[GBR_Quote],0) AS kto_offene_zusage, 
Round(k.kto_bewilligtes_darlehen*[GBR_Quote],0) AS kto_bewilligtes_darlehen, 
Round(k.kto_tilgung_3*[GBR_Quote],0) AS kto_tilgung_3, 
Round(k.kto_tilgung_4_12*[GBR_Quote],0) AS kto_tilgung_4_12, 
Round(k.kto_tilgung_13_60*[GBR_Quote],0) AS kto_tilgung_13_60, 
Round(k.kto_tilgung_61*[GBR_Quote],0) AS kto_tilgung_61, 
Round(k.kto_verzug_entgelt*[GBR_Quote],0) AS kto_verzug_entgelt, 
Round(k.kto_verzug_verzinslich*[GBR_Quote],0) AS kto_verzug_verzinslich, 
Round(k.kto_verzug_unverzinslich*[GBR_Quote],0) AS kto_verzug_unverzinslich, 
Round(k.kto_vorauszahlung*[GBR_Quote],0) AS kto_vorauszahlung, K.kto_mahnstand, 
Round(k.kto_rueckgabenbetrag*[GBR_Quote],0) AS kto_rueckgabenbetrag, K.kto_rueckgabenanzahl, 
K.kto_aval_art, K.kto_aval_einzelbe, K.kto_aval_rahmenkontonr, K.kto_avalkred_betrag, 
Round(k.kto_meta_anteil_kreditvolumen*[GBR_Quote],0) AS kto_meta_anteil_kreditvolumen, 
Round(k.kto_meta_anteil_inanspruchnahme*[GBR_Quote],0) AS kto_meta_anteil_inanspruchnahme, 
K.kto_anzahl_sicherheiten, K.kto_summe_sicherheiten, K.kto_monatliche_Habenumsaetze, 
K.kto_habenumsatz_lfd_jahr, K.kto_habenumsatz_vorjahr, K.kto_haben_umsatz_vq_1, 
K.kto_haben_umsatz_vq_2, K.kto_haben_umsatz_vq_3, K.kto_haben_umsatz_vq_4, [_tmpVB1Bis5].kto_Verfuegung1, 
[_tmpVB1Bis5].kto_Verfuegung2, [_tmpVB1Bis5].kto_Verfuegung3, [_tmpVB1Bis5].kto_Verfuegung4, 
[_tmpVB1Bis5].kto_Verfuegung5, Round(k.kto_sperr_be*[GBR_Quote],0) AS kto_sperr_be, 
Round(k.kto_ewb_e*[GBR_Quote],0) AS kto_ewb_e, K.kto_ewb_e_datum, K.kto_ewb_e_jahr, K.kto_ewb_e_waehrung, 
K.kto_ewb_e_ermg_verf, K.kto_ewb_e_daten_ursprung, 
Round(k.kto_ewb_e_btrg_janf*[GBR_Quote],0) AS kto_ewb_e_btrg_janf, 
Round(k.kto_ewb_e_btrg_man*[GBR_Quote],0) AS kto_ewb_e_btrg_man, 
Round(k.kto_ewb_e_btrg_neu*[GBR_Quote],0) AS kto_ewb_e_btrg_neu, 
Round(k.kto_ewb_e_btrg_zugang*[GBR_Quote],0) AS kto_ewb_e_btrg_zugang, 
Round(k.kto_ewb_e_btrg_blanko*[GBR_Quote],0) AS kto_ewb_e_btrg_blanko, 
Round(k.kto_ewb_e_afls_btrg*[GBR_Quote],0) AS kto_ewb_e_afls_btrg, 
Round(k.kto_ewb_e_absg_ind_btrg*[GBR_Quote],0) AS kto_ewb_e_absg_ind_btrg, 
Round(k.kto_ewb_e_absg_dir_btrg*[GBR_Quote],0) AS kto_ewb_e_absg_dir_btrg, 
Round(k.kto_ewb_v*[GBR_Quote],0) AS kto_ewb_v, K.kto_ewb_v_datum, K.kto_ewb_v_jahr, K.kto_ewb_v_waehrung, 
K.kto_ewb_v_ermg_verf, K.kto_ewb_v_daten_ursprung, 
Round(k.kto_ewb_v_btrg_janf*[GBR_Quote],0) AS kto_ewb_v_btrg_janf, 
Round(k.kto_ewb_v_btrg_man*[GBR_Quote],0) AS kto_ewb_v_btrg_man, K.kto_ewb_v_btrg_neu, 
Round(k.kto_ewb_v_btrg_zugang*[GBR_Quote],0) AS kto_ewb_v_btrg_zugang, 
Round(k.kto_ewb_v_btrg_blanko*[GBR_Quote],0) AS kto_ewb_v_btrg_blanko, 
Round(k.kto_ewb_v_afls_btrg*[GBR_Quote],0) AS kto_ewb_v_afls_btrg, 
Round(k.kto_ewb_v_absg_ind_btrg*[GBR_Quote],0) AS kto_ewb_v_absg_ind_btrg, 
Round(k.kto_ewb_v_absg_dir_btrg*[GBR_Quote],0) AS kto_ewb_v_absg_dir_btrg,
round(k.kto_rk_betrag*[GBR_Quote],0) as kto_rk_betrag,
round(k.kto_rk_offene_zusage*[GBR_Quote],0) as kto_rk_offene_zusage,
k.kto_rk_kz, k.kto_rk_ts,kn.kn_verbund_art,kn_geko9513_gueltig_ab,
KNE.kne_gewichtete_Bonitaet, KN.KN_WARN_1210, KN.KN_WARN_1310, KN.KN_WARN_1425,
KN.KN_WARN_1435, KN.KN_WARN_1455, KN.KN_WARN_1510, KN.KN_WARN_1530, 
KN.KN_WARN_7000, KN.KN_WARN_7001, KN.KN_WARN_7002, KN.KN_WARN_7003, KN.KN_WARN_7004, 
KN.KN_WARN_7008, KN.KN_WARN_7017, KN.KN_WARN_7021, KN.KN_WARN_7029, KN.KN_WARN_7031, KN.kn_kusydsgv20 
FROM (_tmpAuswahl as T INNER JOIN tabKreditnehmereinheit AS KNE ON T.KNEID = KNE.KNEID 
	INNER JOIN tabKN_Risiko AS V ON KNE.KNEID = V.KNEID) 
	INNER JOIN ((tabKreditnehmer AS KN 
	LEFT JOIN (tabKonto AS K 
	LEFT JOIN _tmpVB1Bis5 ON K.KontoID = [_tmpVB1Bis5].KontoID) ON KN.KNID = K.KNID) 
	LEFT JOIN _tmpSegmente1Bis7 ON KN.KNID = [_tmpSegmente1Bis7].KNID) ON 
	V.KNID = KN.KNID 
WHERE (((T.INR)=@InstNr) AND ((T.Bdate)=@BDate) AND ((T.SPID )=@SPID));
END
GO


ALTER PROCEDURE [dbo].[spSammelExportREXLS] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT KNE.INR, KNE.BLZ, KNE.Bdate AS Bestandsdatum, KNE.KNE, KNE.kne_identnr, KNE.kne_wv, 
KNE.kne_wv_verbnr, KNE.kne_berater, KNE.kne_beruf_branche, KNE.kne_gesamtkreditvolumen, 
KNE.kne_kreditvolumen_az01, KNE.KNE_Kreditvolumen_az2, KNE.kne_kreditvolumen_az5, 
KNE.kne_kreditvolumen_az6, KNE.kne_kreditvolumen_az7, KNE.kne_kreditvolumen_derivate, 
KNE.kne_kreditvolumen_wertpapiere, KNE.kne_kreditvolumen_fw_kredite, KNE.kne_kreditvolumen_geldhandel, 
KNE.kne_kreditvolumen_wp_leihe, KNE.kne_kreditvolumen_akkreditive, KNE.kne_kreditvolumen_beteiligung, 
KNE.kne_kreditvolumen_so_az9, KNE.kne_kreditvolumen_kommunal, KNE.kne_kreditvolumen_kreditkarten, 
KNE.kne_gesamtkreditvolumen_not, KNE.kne_meta_anteil_kreditvolumen, KNE.kne_meta_anteil_inanspruchnahme, 
KNE.kne_bewilligungsvolumen_neu, KN.KN, KN.KN_Identnr, KN.kn_name, KN.kn_berater, KN.kn_wv, KN.kn_wv_verbnr, 
KN.kn_beruf_branche, KN.kn_wirtschaftszweig, KN.kn_beruf, KN.kn_strasse, KN.kn_haus_nr, KN.kn_post_erg, 
KN.kn_postleit, KN.kn_ort, KN.kn_land, KN.kn_ortskenn, KN.kn_g_verb_s, 
CASE WHEN V.RGrund = 'KNE' THEN V.GBR_Quote ELSE NULL END AS kn_gbr_quote, 
KN.kn_kundentyp, KN.kn_o_rechts, KN.kn_pers_art, KN.kn_pers_unterart, KN.kn_rechtl_s, KN.kn_kz_organ, 
KN.kn_kusydsgv, KN.kn_org_bankgrp_ausl, KN.kn_org_bankgrp_inl, KN.kn_org_einlagen_ki_kz, 
KN.kn_rating_methode, KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, 
KN.kn_rating_kennung_stp, KN.kn_rating_datum, [_tmpSegmente1Bis7].kn_kl_segment_1, 
[_tmpSegmente1Bis7].kn_kl_segment_2, [_tmpSegmente1Bis7].kn_kl_segment_3, 
[_tmpSegmente1Bis7].kn_kl_segment_4, [_tmpSegmente1Bis7].kn_kl_segment_5, 
[_tmpSegmente1Bis7].kn_kl_segment_6, [_tmpSegmente1Bis7].kn_kl_segment_7, 
KN.kn_bonitaet, KN.kn_risikoklasse, 
Round(kn.kn_saldo_umsatzlos*[GBR_Quote],0) AS kn_saldo_umsatzlos, 
KN.kn_kz_g_m_kred, 
Round(kn.kn_blankokreditvolumen_in*[GBR_Quote],0) AS kn_blankokreditvolumen_in, 
Round(kn.kn_blankokreditvolumen_wi*[GBR_Quote],0) AS kn_blankokreditvolumen_wi, 
Round(kn.kn_personalkreditvolumen_in*[GBR_Quote],0) AS kn_personalkreditvolumen_in, 
Round(kn.kn_personalkreditvolumen_wi*[GBR_Quote],0) AS kn_personalkreditvolumen_wi, 
Round(kn.kn_realkreditvolumen_in*[GBR_Quote],0) AS kn_realkreditvolumen_in, 
Round(kn.kn_realkreditvolumen_wi*[GBR_Quote],0) AS kn_realkreditvolumen_wi, 
Round(kn.kn_kommunalkreditvolumen_in*[GBR_Quote],0) AS kn_kommunalkreditvolumen_in, 
Round(kn.kn_kommunalkreditvolumen_wi*[GBR_Quote],0) AS kn_kommunalkreditvolumen_wi, 
Round(kn.kn_freier_anteil_in*[GBR_Quote],0) AS kn_freier_anteil_in, 
Round(kn.kn_freier_anteil_wi*[GBR_Quote],0) AS kn_freier_anteil_wi, 
Round(kn.KN_wirt_anteil_in*[GBR_Quote],0) AS KN_wirt_anteil_in, 
Round(kn.KN_wirt_anteil_wi*[GBR_Quote],0) AS KN_wirt_anteil_wi, 
Round(kn.kn_komp_anteil_in*[GBR_Quote],0) AS kn_komp_anteil_in, 
Round(kn.kn_komp_anteil_wi*[GBR_Quote],0) AS kn_komp_anteil_wi, 
Round(kn.kn_gesamtkreditvolumen*[GBR_Quote],0) AS kn_gesamtkreditvolumen, 
Round(kn.kn_bewilligtes_darlehen_az6_neu*[GBR_Quote],0) AS kn_bewilligtes_darlehen_az6_neu, 
Round(kn.kn_ueberziehung_90*[GBR_Quote],0) AS kn_ueberziehung_90, 
Round(kn.kn_gutschriftensumme_e_v*[GBR_Quote],0) AS kn_gutschriftensumme_e_v, 
Round(kn.kn_meta_anteil_inanspruchnahme*[GBR_Quote],0) AS kn_meta_anteil_inanspruchnahme, 
Round(kn.kn_meta_anteil_kreditvolumen*[GBR_Quote],0) AS kn_meta_anteil_kreditvolumen, 
Round(kn.kn_kreditvolumen_derivate*[GBR_Quote],0) AS kn_kreditvolumen_derivate, 
Round(kn.kn_kreditvolumen_wertpapiere*[GBR_Quote],0) AS kn_kreditvolumen_wertpapiere, 
Round(kn.kn_kreditvolumen_wp_leihe*[GBR_Quote],0) AS kn_kreditvolumen_wp_leihe, 
Round(kn.kn_kreditvolumen_geldhandel*[GBR_Quote],0) AS kn_kreditvolumen_geldhandel, 
Round(kn.kn_kreditvolumen_fw_kredite*[GBR_Quote],0) AS kn_kreditvolumen_fw_kredite, 
Round(kn.kn_kreditvolumen_akkreditive*[GBR_Quote],0) AS kn_kreditvolumen_akkreditive, 
Round(kn.kn_kreditvolumen_beteiligung*[GBR_Quote],0) AS kn_kreditvolumen_beteiligung, 
Round(kn.kn_kreditvolumen_so_az9*[GBR_Quote],0) AS kn_kreditvolumen_so_az9, 
Round(kn.kn_kreditvolumen_kreditkarten*[GBR_Quote],0) AS kn_kreditvolumen_kreditkarten, 
Round(kn.kn_kreditvolumen_az2*[GBR_Quote],0) AS KN_Kreditvolumen_az2, 
Round(kn.kn_passiv_az2_3_4_9*[GBR_Quote],0) AS kn_passiv_az2_3_4_9, 
Round(kn.kn_passiv_depot*[GBR_Quote],0) AS kn_passiv_depot, 
Round(kn.kn_bew_rahmen_le*[GBR_Quote],0) AS kn_bew_rahmen_le, 
Round(kn.kn_labile_sicherheiten*[GBR_Quote],0) AS kn_labile_sicherheiten, 
Round(kn.kn_sicherheiten_uebereignung*[GBR_Quote],0) AS kn_sicherheiten_uebereignung, 
Round(kn.kn_zessionen*[GBR_Quote],0) AS kn_zessionen, 
Round(kn.kn_buergschaften*[GBR_Quote],0) AS kn_buergschaften, 
K.KontoNr, K.kto_kz_k_s, K.kto_geschaeftsart_depot_a, K.kto_skontronr, K.kto_kontobezeichnung_depot_a, 
K.kto_gp_key, K.kto_gp_variante, K.kto_kontentyp, K.kto_kreditart, K.kto_datum_eroeffnung, 
Round(K.kto_gesamtkreditvolumen*[GBR_Quote],0) AS kto_gesamtkreditvolumen, 
Round(k.kto_saldo*[GBR_Quote],0) AS kto_saldo, 
Round(k.kto_inanspruchnahme*[GBR_Quote],0) AS kto_inanspruchnahme, 
Round(k.kto_ueberziehung*[GBR_Quote],0) AS kto_ueberziehung, 
Round(k.kto_externer_kredit*[GBR_Quote],0) AS kto_externer_kredit, K.kto_bewilligungs_datum, 
K.kto_befristung_datum, Round(k.kto_interner_kredit*[GBR_Quote],0) AS kto_interner_kredit, 
K.kto_interner_kredit_bis, Round(k.kto_ueberziehung_genehmigt*[GBR_Quote],0) AS kto_ueberziehung_genehmigt, 
K.kto_ueberziehung_genehmigt_bis, K.kto_ueberz_hoechste_quartal_1, K.kto_ueberz_hoechste_quartal_2, 
K.kto_ueberz_hoechste_quartal_3, K.kto_ueberz_hoechste_quartal_4, K.kto_ueberziehungstage, 
K.kto_ueberziehungsdatum_ab, Round(k.kto_ueberziehung_m_ev*[GBR_Quote],0) AS kto_ueberziehung_m_ev, 
Round(k.kto_ueberziehung_o_ev*[GBR_Quote],0) AS kto_ueberziehung_o_ev, K.kto_zinssatz, K.kto_ab_merkmal, 
K.kto_kz_notleidend, K.kto_mindestr, K.kto_kreditkartennummer, 
Round(k.kto_offene_zusage*[GBR_Quote],0) AS kto_offene_zusage, 
Round(k.kto_bewilligtes_darlehen*[GBR_Quote],0) AS kto_bewilligtes_darlehen, 
Round(k.kto_tilgung_3*[GBR_Quote],0) AS kto_tilgung_3, 
Round(k.kto_tilgung_4_12*[GBR_Quote],0) AS kto_tilgung_4_12, 
Round(k.kto_tilgung_13_60*[GBR_Quote],0) AS kto_tilgung_13_60, 
Round(k.kto_tilgung_61*[GBR_Quote],0) AS kto_tilgung_61, 
Round(k.kto_verzug_entgelt*[GBR_Quote],0) AS kto_verzug_entgelt, 
Round(k.kto_verzug_verzinslich*[GBR_Quote],0) AS kto_verzug_verzinslich, 
Round(k.kto_verzug_unverzinslich*[GBR_Quote],0) AS kto_verzug_unverzinslich, 
Round(k.kto_vorauszahlung*[GBR_Quote],0) AS kto_vorauszahlung, K.kto_mahnstand, 
Round(k.kto_rueckgabenbetrag*[GBR_Quote],0) AS kto_rueckgabenbetrag, K.kto_rueckgabenanzahl, 
K.kto_aval_art, K.kto_aval_einzelbe, K.kto_aval_rahmenkontonr, K.kto_avalkred_betrag, 
Round(k.kto_meta_anteil_kreditvolumen*[GBR_Quote],0) AS kto_meta_anteil_kreditvolumen, 
Round(k.kto_meta_anteil_inanspruchnahme*[GBR_Quote],0) AS kto_meta_anteil_inanspruchnahme, 
K.kto_anzahl_sicherheiten, K.kto_summe_sicherheiten, K.kto_monatliche_Habenumsaetze, 
K.kto_habenumsatz_lfd_jahr, K.kto_habenumsatz_vorjahr, K.kto_haben_umsatz_vq_1, 
K.kto_haben_umsatz_vq_2, K.kto_haben_umsatz_vq_3, K.kto_haben_umsatz_vq_4, [_tmpVB1Bis5].kto_Verfuegung1, 
[_tmpVB1Bis5].kto_Verfuegung2, [_tmpVB1Bis5].kto_Verfuegung3, [_tmpVB1Bis5].kto_Verfuegung4, 
[_tmpVB1Bis5].kto_Verfuegung5, Round(k.kto_sperr_be*[GBR_Quote],0) AS kto_sperr_be, 
Round(k.kto_ewb_e*[GBR_Quote],0) AS kto_ewb_e, K.kto_ewb_e_datum, K.kto_ewb_e_jahr, K.kto_ewb_e_waehrung, 
K.kto_ewb_e_ermg_verf, K.kto_ewb_e_daten_ursprung, 
Round(k.kto_ewb_e_btrg_janf*[GBR_Quote],0) AS kto_ewb_e_btrg_janf, 
Round(k.kto_ewb_e_btrg_man*[GBR_Quote],0) AS kto_ewb_e_btrg_man, 
Round(k.kto_ewb_e_btrg_neu*[GBR_Quote],0) AS kto_ewb_e_btrg_neu, 
Round(k.kto_ewb_e_btrg_zugang*[GBR_Quote],0) AS kto_ewb_e_btrg_zugang, 
Round(k.kto_ewb_e_btrg_blanko*[GBR_Quote],0) AS kto_ewb_e_btrg_blanko, 
Round(k.kto_ewb_e_afls_btrg*[GBR_Quote],0) AS kto_ewb_e_afls_btrg, 
Round(k.kto_ewb_e_absg_ind_btrg*[GBR_Quote],0) AS kto_ewb_e_absg_ind_btrg, 
Round(k.kto_ewb_e_absg_dir_btrg*[GBR_Quote],0) AS kto_ewb_e_absg_dir_btrg, 
Round(k.kto_ewb_v*[GBR_Quote],0) AS kto_ewb_v, K.kto_ewb_v_datum, K.kto_ewb_v_jahr, K.kto_ewb_v_waehrung, 
K.kto_ewb_v_ermg_verf, K.kto_ewb_v_daten_ursprung, 
Round(k.kto_ewb_v_btrg_janf*[GBR_Quote],0) AS kto_ewb_v_btrg_janf, 
Round(k.kto_ewb_v_btrg_man*[GBR_Quote],0) AS kto_ewb_v_btrg_man, K.kto_ewb_v_btrg_neu, 
Round(k.kto_ewb_v_btrg_zugang*[GBR_Quote],0) AS kto_ewb_v_btrg_zugang, 
Round(k.kto_ewb_v_btrg_blanko*[GBR_Quote],0) AS kto_ewb_v_btrg_blanko, 
Round(k.kto_ewb_v_afls_btrg*[GBR_Quote],0) AS kto_ewb_v_afls_btrg, 
Round(k.kto_ewb_v_absg_ind_btrg*[GBR_Quote],0) AS kto_ewb_v_absg_ind_btrg, 
Round(k.kto_ewb_v_absg_dir_btrg*[GBR_Quote],0) AS kto_ewb_v_absg_dir_btrg, 
round(k.kto_rk_betrag*[GBR_Quote],0) as kto_rk_betrag,
round(k.kto_rk_offene_zusage*[GBR_Quote],0) as kto_rk_offene_zusage,
k.kto_rk_kz, k.kto_rk_ts,kn.kn_verbund_art,kn_geko9513_gueltig_ab,
KNE.kne_gewichtete_Bonitaet, KN.KN_WARN_1210, KN.KN_WARN_1310, KN.KN_WARN_1425,
KN.KN_WARN_1435, KN.KN_WARN_1455, KN.KN_WARN_1510, KN.KN_WARN_1530, 
KN.KN_WARN_7000, KN.KN_WARN_7001, KN.KN_WARN_7002, KN.KN_WARN_7003, KN.KN_WARN_7004, 
KN.KN_WARN_7008, KN.KN_WARN_7017, KN.KN_WARN_7021, KN.KN_WARN_7029, KN.KN_WARN_7031, KN.KN_KUSYDSGV20 
FROM (_tmpAuswahlEWB as T inner join tabKreditnehmereinheit AS KNE ON T.KNEID = KNE.KNEID  
	INNER JOIN tabKN_RisikoSammel AS V ON KNE.KNEID = V.KNEID) 
	INNER JOIN ((tabKreditnehmer AS KN 
	LEFT JOIN (tabKonto AS K 
	LEFT JOIN _tmpVB1Bis5 ON K.KontoID = [_tmpVB1Bis5].KontoID) ON KN.KNID = K.KNID) 
	LEFT JOIN _tmpSegmente1Bis7 ON KN.KNID = [_tmpSegmente1Bis7].KNID) ON 
	V.KNID = KN.KNID 
WHERE T.SPID = @SPID AND T.INR=@InstNr AND T.Bdate=@BDate AND T.Auswahl=1;
END
GO


ALTER PROCEDURE [dbo].[spSammelExportXLS] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT KNE.INR, KNE.BLZ, KNE.Bdate AS Bestandsdatum, KNE.KNE, KNE.kne_identnr, KNE.kne_wv, 
KNE.kne_wv_verbnr, KNE.kne_berater, KNE.kne_beruf_branche, KNE.kne_gesamtkreditvolumen, 
KNE.kne_kreditvolumen_az01, KNE.KNE_Kreditvolumen_az2, KNE.kne_kreditvolumen_az5, 
KNE.kne_kreditvolumen_az6, KNE.kne_kreditvolumen_az7, KNE.kne_kreditvolumen_derivate, 
KNE.kne_kreditvolumen_wertpapiere, KNE.kne_kreditvolumen_fw_kredite, KNE.kne_kreditvolumen_geldhandel, 
KNE.kne_kreditvolumen_wp_leihe, KNE.kne_kreditvolumen_akkreditive, KNE.kne_kreditvolumen_beteiligung, 
KNE.kne_kreditvolumen_so_az9, KNE.kne_kreditvolumen_kommunal, KNE.kne_kreditvolumen_kreditkarten, 
KNE.kne_gesamtkreditvolumen_not, KNE.kne_meta_anteil_kreditvolumen, KNE.kne_meta_anteil_inanspruchnahme, 
KNE.kne_bewilligungsvolumen_neu, KN.KN, KN.KN_Identnr, KN.kn_name, KN.kn_berater, KN.kn_wv, KN.kn_wv_verbnr, 
KN.kn_beruf_branche, KN.kn_wirtschaftszweig, KN.kn_beruf, KN.kn_strasse, KN.kn_haus_nr, KN.kn_post_erg, 
KN.kn_postleit, KN.kn_ort, KN.kn_land, KN.kn_ortskenn, KN.kn_g_verb_s, 
V.GBR_Quote AS kn_gbr_quote, 
KN.kn_kundentyp, KN.kn_o_rechts, KN.kn_pers_art, KN.kn_pers_unterart, KN.kn_rechtl_s, KN.kn_kz_organ, 
KN.kn_kusydsgv, KN.kn_org_bankgrp_ausl, KN.kn_org_bankgrp_inl, KN.kn_org_einlagen_ki_kz, 
KN.kn_rating_methode, KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, 
KN.kn_rating_kennung_stp, KN.kn_rating_datum, [_tmpSegmente1Bis7].kn_kl_segment_1, 
[_tmpSegmente1Bis7].kn_kl_segment_2, [_tmpSegmente1Bis7].kn_kl_segment_3, 
[_tmpSegmente1Bis7].kn_kl_segment_4, [_tmpSegmente1Bis7].kn_kl_segment_5, 
[_tmpSegmente1Bis7].kn_kl_segment_6, [_tmpSegmente1Bis7].kn_kl_segment_7, 
KN.kn_bonitaet, KN.kn_risikoklasse, 
Round(kn.kn_saldo_umsatzlos*[GBR_Quote],0) AS kn_saldo_umsatzlos, 
KN.kn_kz_g_m_kred, 
Round(kn.kn_blankokreditvolumen_in*[GBR_Quote],0) AS kn_blankokreditvolumen_in, 
Round(kn.kn_blankokreditvolumen_wi*[GBR_Quote],0) AS kn_blankokreditvolumen_wi, 
Round(kn.kn_personalkreditvolumen_in*[GBR_Quote],0) AS kn_personalkreditvolumen_in, 
Round(kn.kn_personalkreditvolumen_wi*[GBR_Quote],0) AS kn_personalkreditvolumen_wi, 
Round(kn.kn_realkreditvolumen_in*[GBR_Quote],0) AS kn_realkreditvolumen_in, 
Round(kn.kn_realkreditvolumen_wi*[GBR_Quote],0) AS kn_realkreditvolumen_wi, 
Round(kn.kn_kommunalkreditvolumen_in*[GBR_Quote],0) AS kn_kommunalkreditvolumen_in, 
Round(kn.kn_kommunalkreditvolumen_wi*[GBR_Quote],0) AS kn_kommunalkreditvolumen_wi, 
Round(kn.kn_freier_anteil_in*[GBR_Quote],0) AS kn_freier_anteil_in, 
Round(kn.kn_freier_anteil_wi*[GBR_Quote],0) AS kn_freier_anteil_wi, 
Round(kn.KN_wirt_anteil_in*[GBR_Quote],0) AS KN_wirt_anteil_in, 
Round(kn.KN_wirt_anteil_wi*[GBR_Quote],0) AS KN_wirt_anteil_wi, 
Round(kn.kn_komp_anteil_in*[GBR_Quote],0) AS kn_komp_anteil_in, 
Round(kn.kn_komp_anteil_wi*[GBR_Quote],0) AS kn_komp_anteil_wi, 
Round(kn.kn_gesamtkreditvolumen*[GBR_Quote],0) AS kn_gesamtkreditvolumen, 
Round(kn.kn_bewilligtes_darlehen_az6_neu*[GBR_Quote],0) AS kn_bewilligtes_darlehen_az6_neu, 
Round(kn.kn_ueberziehung_90*[GBR_Quote],0) AS kn_ueberziehung_90, 
Round(kn.kn_gutschriftensumme_e_v*[GBR_Quote],0) AS kn_gutschriftensumme_e_v, 
Round(kn.kn_meta_anteil_inanspruchnahme*[GBR_Quote],0) AS kn_meta_anteil_inanspruchnahme, 
Round(kn.kn_meta_anteil_kreditvolumen*[GBR_Quote],0) AS kn_meta_anteil_kreditvolumen, 
Round(kn.kn_kreditvolumen_derivate*[GBR_Quote],0) AS kn_kreditvolumen_derivate, 
Round(kn.kn_kreditvolumen_wertpapiere*[GBR_Quote],0) AS kn_kreditvolumen_wertpapiere, 
Round(kn.kn_kreditvolumen_wp_leihe*[GBR_Quote],0) AS kn_kreditvolumen_wp_leihe, 
Round(kn.kn_kreditvolumen_geldhandel*[GBR_Quote],0) AS kn_kreditvolumen_geldhandel, 
Round(kn.kn_kreditvolumen_fw_kredite*[GBR_Quote],0) AS kn_kreditvolumen_fw_kredite, 
Round(kn.kn_kreditvolumen_akkreditive*[GBR_Quote],0) AS kn_kreditvolumen_akkreditive, 
Round(kn.kn_kreditvolumen_beteiligung*[GBR_Quote],0) AS kn_kreditvolumen_beteiligung, 
Round(kn.kn_kreditvolumen_so_az9*[GBR_Quote],0) AS kn_kreditvolumen_so_az9, 
Round(kn.kn_kreditvolumen_kreditkarten*[GBR_Quote],0) AS kn_kreditvolumen_kreditkarten, 
Round(kn.kn_kreditvolumen_az2*[GBR_Quote],0) AS KN_Kreditvolumen_az2, 
Round(kn.kn_passiv_az2_3_4_9*[GBR_Quote],0) AS kn_passiv_az2_3_4_9, 
Round(kn.kn_passiv_depot*[GBR_Quote],0) AS kn_passiv_depot, 
Round(kn.kn_bew_rahmen_le*[GBR_Quote],0) AS kn_bew_rahmen_le, 
Round(kn.kn_labile_sicherheiten*[GBR_Quote],0) AS kn_labile_sicherheiten, 
Round(kn.kn_sicherheiten_uebereignung*[GBR_Quote],0) AS kn_sicherheiten_uebereignung, 
Round(kn.kn_zessionen*[GBR_Quote],0) AS kn_zessionen, 
Round(kn.kn_buergschaften*[GBR_Quote],0) AS kn_buergschaften, 
K.KontoNr, K.kto_kz_k_s, K.kto_geschaeftsart_depot_a, K.kto_skontronr, K.kto_kontobezeichnung_depot_a, 
K.kto_gp_key, K.kto_gp_variante, K.kto_kontentyp, K.kto_kreditart, K.kto_datum_eroeffnung, 
Round(K.kto_gesamtkreditvolumen*[GBR_Quote],0) AS kto_gesamtkreditvolumen, 
Round(k.kto_saldo*[GBR_Quote],0) AS kto_saldo, 
Round(k.kto_inanspruchnahme*[GBR_Quote],0) AS kto_inanspruchnahme, 
Round(k.kto_ueberziehung*[GBR_Quote],0) AS kto_ueberziehung, 
Round(k.kto_externer_kredit*[GBR_Quote],0) AS kto_externer_kredit, K.kto_bewilligungs_datum, 
K.kto_befristung_datum, Round(k.kto_interner_kredit*[GBR_Quote],0) AS kto_interner_kredit, 
K.kto_interner_kredit_bis, Round(k.kto_ueberziehung_genehmigt*[GBR_Quote],0) AS kto_ueberziehung_genehmigt, 
K.kto_ueberziehung_genehmigt_bis, K.kto_ueberz_hoechste_quartal_1, K.kto_ueberz_hoechste_quartal_2, 
K.kto_ueberz_hoechste_quartal_3, K.kto_ueberz_hoechste_quartal_4, K.kto_ueberziehungstage, 
K.kto_ueberziehungsdatum_ab, Round(k.kto_ueberziehung_m_ev*[GBR_Quote],0) AS kto_ueberziehung_m_ev, 
Round(k.kto_ueberziehung_o_ev*[GBR_Quote],0) AS kto_ueberziehung_o_ev, K.kto_zinssatz, K.kto_ab_merkmal, 
K.kto_kz_notleidend, K.kto_mindestr, K.kto_kreditkartennummer, 
Round(k.kto_offene_zusage*[GBR_Quote],0) AS kto_offene_zusage, 
Round(k.kto_bewilligtes_darlehen*[GBR_Quote],0) AS kto_bewilligtes_darlehen, 
Round(k.kto_tilgung_3*[GBR_Quote],0) AS kto_tilgung_3, 
Round(k.kto_tilgung_4_12*[GBR_Quote],0) AS kto_tilgung_4_12, 
Round(k.kto_tilgung_13_60*[GBR_Quote],0) AS kto_tilgung_13_60, 
Round(k.kto_tilgung_61*[GBR_Quote],0) AS kto_tilgung_61, 
Round(k.kto_verzug_entgelt*[GBR_Quote],0) AS kto_verzug_entgelt, 
Round(k.kto_verzug_verzinslich*[GBR_Quote],0) AS kto_verzug_verzinslich, 
Round(k.kto_verzug_unverzinslich*[GBR_Quote],0) AS kto_verzug_unverzinslich, 
Round(k.kto_vorauszahlung*[GBR_Quote],0) AS kto_vorauszahlung, K.kto_mahnstand, 
Round(k.kto_rueckgabenbetrag*[GBR_Quote],0) AS kto_rueckgabenbetrag, K.kto_rueckgabenanzahl, 
K.kto_aval_art, K.kto_aval_einzelbe, K.kto_aval_rahmenkontonr, K.kto_avalkred_betrag, 
Round(k.kto_meta_anteil_kreditvolumen*[GBR_Quote],0) AS kto_meta_anteil_kreditvolumen, 
Round(k.kto_meta_anteil_inanspruchnahme*[GBR_Quote],0) AS kto_meta_anteil_inanspruchnahme, 
K.kto_anzahl_sicherheiten, K.kto_summe_sicherheiten, K.kto_monatliche_Habenumsaetze, 
K.kto_habenumsatz_lfd_jahr, K.kto_habenumsatz_vorjahr, K.kto_haben_umsatz_vq_1, 
K.kto_haben_umsatz_vq_2, K.kto_haben_umsatz_vq_3, K.kto_haben_umsatz_vq_4, [_tmpVB1Bis5].kto_Verfuegung1, 
[_tmpVB1Bis5].kto_Verfuegung2, [_tmpVB1Bis5].kto_Verfuegung3, [_tmpVB1Bis5].kto_Verfuegung4, 
[_tmpVB1Bis5].kto_Verfuegung5, Round(k.kto_sperr_be*[GBR_Quote],0) AS kto_sperr_be, 
Round(k.kto_ewb_e*[GBR_Quote],0) AS kto_ewb_e, K.kto_ewb_e_datum, K.kto_ewb_e_jahr, K.kto_ewb_e_waehrung, 
K.kto_ewb_e_ermg_verf, K.kto_ewb_e_daten_ursprung, 
Round(k.kto_ewb_e_btrg_janf*[GBR_Quote],0) AS kto_ewb_e_btrg_janf, 
Round(k.kto_ewb_e_btrg_man*[GBR_Quote],0) AS kto_ewb_e_btrg_man, 
Round(k.kto_ewb_e_btrg_neu*[GBR_Quote],0) AS kto_ewb_e_btrg_neu, 
Round(k.kto_ewb_e_btrg_zugang*[GBR_Quote],0) AS kto_ewb_e_btrg_zugang, 
Round(k.kto_ewb_e_btrg_blanko*[GBR_Quote],0) AS kto_ewb_e_btrg_blanko, 
Round(k.kto_ewb_e_afls_btrg*[GBR_Quote],0) AS kto_ewb_e_afls_btrg, 
Round(k.kto_ewb_e_absg_ind_btrg*[GBR_Quote],0) AS kto_ewb_e_absg_ind_btrg, 
Round(k.kto_ewb_e_absg_dir_btrg*[GBR_Quote],0) AS kto_ewb_e_absg_dir_btrg, 
Round(k.kto_ewb_v*[GBR_Quote],0) AS kto_ewb_v, K.kto_ewb_v_datum, K.kto_ewb_v_jahr, K.kto_ewb_v_waehrung, 
K.kto_ewb_v_ermg_verf, K.kto_ewb_v_daten_ursprung, 
Round(k.kto_ewb_v_btrg_janf*[GBR_Quote],0) AS kto_ewb_v_btrg_janf, 
Round(k.kto_ewb_v_btrg_man*[GBR_Quote],0) AS kto_ewb_v_btrg_man, K.kto_ewb_v_btrg_neu, 
Round(k.kto_ewb_v_btrg_zugang*[GBR_Quote],0) AS kto_ewb_v_btrg_zugang, 
Round(k.kto_ewb_v_btrg_blanko*[GBR_Quote],0) AS kto_ewb_v_btrg_blanko, 
Round(k.kto_ewb_v_afls_btrg*[GBR_Quote],0) AS kto_ewb_v_afls_btrg, 
Round(k.kto_ewb_v_absg_ind_btrg*[GBR_Quote],0) AS kto_ewb_v_absg_ind_btrg, 
Round(k.kto_ewb_v_absg_dir_btrg*[GBR_Quote],0) AS kto_ewb_v_absg_dir_btrg,
round(k.kto_rk_betrag*[GBR_Quote],0) as kto_rk_betrag,
round(k.kto_rk_offene_zusage*[GBR_Quote],0) as kto_rk_offene_zusage,
k.kto_rk_kz, k.kto_rk_ts,kn.kn_verbund_art,kn_geko9513_gueltig_ab, 
KNE.kne_gewichtete_Bonitaet, KN.KN_WARN_1210, KN.KN_WARN_1310, KN.KN_WARN_1425,
KN.KN_WARN_1435, KN.KN_WARN_1455, KN.KN_WARN_1510, KN.KN_WARN_1530, 
KN.KN_WARN_7000, KN.KN_WARN_7001, KN.KN_WARN_7002, KN.KN_WARN_7003, KN.KN_WARN_7004, 
KN.KN_WARN_7008, KN.KN_WARN_7017, KN.KN_WARN_7021, KN.KN_WARN_7029, KN.KN_WARN_7031, KN.KN_KUSYDSGV20 
FROM (_tmpAuswahlEWB as T inner join tabKreditnehmereinheit AS KNE ON T.KNEID = KNE.KNEID 
	INNER JOIN tab_KNE_KN AS V ON KNE.KNEID = V.KNEID) 
	INNER JOIN ((tabKreditnehmer AS KN 
	LEFT JOIN (tabKonto AS K 
	LEFT JOIN _tmpVB1Bis5 ON K.KontoID = [_tmpVB1Bis5].KontoID) ON KN.KNID = K.KNID) 
	LEFT JOIN _tmpSegmente1Bis7 ON KN.KNID = [_tmpSegmente1Bis7].KNID) ON 
	V.KNID = KN.KNID 
WHERE T.SPID = @SPID AND T.INR=@InstNr AND T.Bdate=@BDate AND T.Auswahl=1;
END
GO

ALTER PROCEDURE [dbo].[spFiltertrefferAnzahl] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT count(K.KNEID), COUnt(case when T.Auswahl=1 then K.KNEID END), sum(cast(dbo.getAuswahlstatusEWBStichprobe(K.KNEID,@SPID) as integer)) as Stichprobe 
FROM tabKreditnehmereinheit AS K INNER JOIN _tmpFilterTreffer AS T ON K.KNEID=T.KNEID 
WHERE K.BDate = @BDate and K.INR = @instnr and T.SPID = @SPID;
END
GO


Update _tabVersion set DBVersion = '7.76', DBDate = '12.10.2018'
GO


